<?php
if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME'])) {
    die(__('Please do not load this page directly. Thanks!', 'verado-lite'));
}

// check if post is pwd protected
if ( post_password_required() ) {
    return;
} // endif check pwd

if ( have_comments() && comments_open() ) { ?>
<div id="comments" class="comment-area">
    <h3 class="comments-title"><?php comments_number( __('no comment', 'verado-lite'), __('1 comment', 'verado-lite'), '%' . __(' comments', 'verado-lite') ); ?></h3>
    <ol class="comments-list clearfix">
        <?php
        wp_list_comments(array(
            'walker' => null,
            'style' => 'ul',
            'callback' => 'kopa_comments_callback',
            'end-callback' => null,
            'type' => 'all'
        ));
        ?>
    </ol>
    <?php
        $args = array(
            'prev_next'    => True,
            'prev_text' => __('<span class="fa fa-angle-double-left"></span>','verado-lite'),
            'next_text' => __('<span class="fa fa-angle-double-right"></span>', 'verado-lite'),
            'type'         => 'list',
        );
        ?>
        <div class="kopa-pagination clearfix"><?php paginate_comments_links($args); ?></div>
</div>
<?php } elseif ( ! comments_open() && post_type_supports(get_post_type(), 'comments') ) {
    return;
} // endif

/*
 * Comments call back function
 */
function kopa_comments_callback($comment, $args, $depth) {
    
    $GLOBALS['comment'] = $comment;

    if ( 'pingback' == get_comment_type() || 'trackback' == get_comment_type() ) { ?>

    <li id="comment-<?php comment_ID(); ?>" <?php comment_class( 'comment clearfix' ); ?>>

        <article class="comment-wrapper clearfix">
            <div class="comment-avatar pull-left">
                <?php echo get_avatar( $comment->comment_author_email, 86 ); ?>
            </div>
            <div class="comment-body">
                <header class="clearfix">
                    <h6><?php esc_html_e( 'Pingback: ', 'verado-lite' ); ?><?php echo get_comment_author_link(); ?></h6>
                    <div class="pull-right">
                        <span class="entry-date"><?php esc_html_e('Posted on', 'verado-lite'); ?> <?php comment_date(get_option('date_format') ); ?> <?php esc_html_e('at', 'verado-lite'); ?> <?php comment_date(get_option('time_format') ); ?></span>
                    </div>
                </header>
            </div>
        </article>

    </li>

    <?php } elseif ( 'comment' == get_comment_type() ) { ?>

    <li id="comment-<?php comment_ID(); ?>" <?php comment_class( 'comment clearfix' ); ?>>

        <article class="comment-wrapper clearfix">
            <div class="comment-avatar pull-left">
                <?php echo get_avatar( $comment->comment_author_email, 86 ); ?>
            </div>
            <div class="comment-body">
                <header class="clearfix">
                    <h6><?php echo get_comment_author(); ?></h6>
                    <div class="pull-right">
                        <span class="entry-date"><?php esc_html_e('Posted on', 'verado-lite'); ?> <?php comment_date(get_option('date_format') ); ?> <?php esc_html_e('at', 'verado-lite'); ?> <?php comment_date(get_option('time_format') ); ?></span>
                        <?php if ( current_user_can( 'moderate_comments' ) ) {
                            edit_comment_link( __( 'Edit', 'verado-lite' ) );
                        } ?>
                        <?php comment_reply_link(array_merge($args, array('depth' => $depth, 'max_depth' => $args['max_depth']))); ?>
                    </div>
                </header>
                <?php comment_text(); ?>
            </div>
        </article>

    <?php
    } // endif check comment type
}

function kopa_comment_form_args() {
    $form_name = __('Name *', 'verado-lite');
    $form_email = __('Email *', 'verado-lite');
    $form_web = __('Website', 'verado-lite');
    $form_comment = __('Your comments *', 'verado-lite');
    $fields = array(
        'author' => '<div class="row comment-top">
                        <div class="col-md-4">
                            <p class="input-block">
                                <input type="text" class="valid" name="author" id="comment_name" onblur="if(this.value==\'\') this.value=\'' . esc_attr($form_name) . '\';" onfocus="if(this.value==\'' . esc_attr($form_name) . '\') this.value=\'\';" value="' . esc_attr($form_name) . '">
                            </p>
                        </div>',
        'email' => '<div class="col-md-4">
                        <p class="input-block">
                            <input type="text" class="valid" name="email" id="comment_email" onblur="if(this.value==\'\')this.value=\'' . esc_attr($form_email) . '\';" onfocus="if(this.value==\'' . esc_attr($form_email) . '\')this.value=\'\';" value="' . esc_attr($form_email) . '">
                        </p>
                    </div>',
        'url' => '<div class="col-md-4">
                        <input type="text" id="comment_url" onblur="if(this.value==\'\')this.value=\'' . esc_attr($form_web) . '\';" onfocus="if(this.value==\'' . esc_attr($form_web) . '\')this.value=\'\';" value="' . esc_attr($form_web) . '" class="valid" name="url">
                  </div>
                 </div>'

    );

    if ( ! is_user_logged_in() ) {
        $comment_field = '
            <div class="comment-bottom">
                <p class="textarea-block">
                    <textarea rows="6" cols="88" id="comment_message" name="comment" style="overflow:auto;resize:vertical ;" onblur="if(this.value==\'\')this.value=\'' . esc_attr($form_comment) . '\';" onfocus="if(this.value==\'' . esc_attr($form_comment) . '\')this.value=\'\';">' . esc_attr($form_comment) . '</textarea>
                </p>
            </div>
           ';
    } else {
        $comment_field = '<div class="comment-bottom"><p class="textarea-block"><textarea rows="6" cols="88" id="comment_message" name="comment" style="overflow:auto;resize:vertical ;" onblur="if(this.value==\'\')this.value=\'Your comments *\';" onfocus="if(this.value==\'Your comments *\')this.value=\'\';">Your comments *</textarea></p></div>';
    }

    $args = array(
        'fields' => apply_filters('comment_form_default_fields', $fields),
        'comment_field' => $comment_field,
        'comment_notes_before' => '',
        'comment_notes_after' => '',
        'id_form' => 'comments-form',
        'id_submit' => 'submit-comment',
        'comment_notes_before' => '<p class="c-note">' . __( 'Your email address will not be published. Required fields are marked.', 'verado-lite' ) . '<span>*</span></p>',
        'title_reply' => __('Leave your comments', 'verado-lite'),
        'label_submit' =>__('Post comment', 'verado-lite'),
    );

    return $args;
}
