<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<header id="kopa-page-header">

<div class="clearfix">

    <div class="header-top clearfix">
        <div class="wrapper clearfix">
            <?php
            if ( function_exists( 'has_custom_logo' ) && has_custom_logo() ) {
                ?>

                    <div class="logo-image">
                        <span>
                            <a href="<?php echo esc_url(home_url('/'));?>" title="<?php bloginfo('name'); ?>">
                                <?php the_custom_logo(); ?>
                                <span class="sr-only"><?php esc_html_e('verado-lite', 'verado-lite');?></span>
                            </a>
                        </span>
                    </div>
                    <!-- #logo-image -->

           <?php  } else { ?>

                <div class="site-title">
                    <h1><a href="<?php echo esc_url(home_url('/'));?>" title="<?php bloginfo('name'); ?>"><?php bloginfo( 'title' ); ?></a></h1>
                    <p><?php bloginfo( 'description' ); ?></p>
                </div>
                
            <?php } ?>

            <?php
                $verado_lite_header_login = esc_attr( get_theme_mod( 'header_login', '1' ) );
                if ( 1 == $verado_lite_header_login ) : ?>
                    <div class="login-wrapper">
                        <ul>
                            <?php if ( !is_user_logged_in() ) : ?>
                                <li><span><?php esc_html_e('Welcome Guest!', 'verado-lite');?></span></li>
                                <li><a href="<?php echo esc_url(wp_login_url()); ?>" title="<?php esc_html_e('Sign in', 'verado-lite');?>"><?php esc_html_e('Sign in', 'verado-lite');?></a></li>
                            <?php
                            else:
                                $verado_current_user = wp_get_current_user();
                                if ( $verado_current_user ) :
                                ?>
                                <li><span><?php esc_html_e('Welcome ', 'verado-lite');  echo esc_html($verado_current_user->display_name) . '!';?></span></li>
                            <?php
                                endif;
                            endif;
                            $verado_user_can_register = get_option('users_can_register');
                            if ( 1 == $verado_user_can_register ) {?>
                                <li><span class="sepa">i</span></li>
                                <li><a href="<?php echo esc_url(wp_registration_url()); ?>" title="<?php esc_html_e('Register', 'verado-lite');?>"><?php esc_html_e('Register', 'verado-lite');?></a></li>
                                <?php }
                            ?>
                        </ul>
                    </div>
                    <!-- .login-wrapper -->
                <?php endif; ?>

            <?php
                $verado_lite_header_top_menu_status = get_theme_mod( 'header_top_menu_status', 1 );
                if ( 1 == $verado_lite_header_top_menu_status && has_nav_menu('top-nav') ) : ?>
                    <nav class="page-nav">
                        <span class="quick-link"><?php esc_html_e('Quick links', 'verado-lite'); ?> <i class="fa fa-angle-down"></i></span>
                        <?php
                            $verado_mn_top = array(
                                'theme_location' => 'top-nav',
                                'container' => false,
                                'link_before' => '',
                                'link_after' => '',
                                'items_wrap' => '<ul class="%2$s">%3$s</ul>',
                                'depth' => 1,
                                'fallback_cb' => ''
                            );
                            wp_nav_menu( $verado_mn_top );
                        ?>
                    </nav>
                    <!-- .page-top -->
            <?php endif; ?>

        </div>
    </div>
    <!-- .header-top -->

    <?php
    $verado_lite_shopbox_cart = esc_attr( get_theme_mod('shopbox_cart') );
    if ( class_exists( 'WooCommerce' ) || ( class_exists( 'WooCommerce' ) && 1 == $verado_lite_shopbox_cart ) || ( function_exists( 'has_custom_logo' ) && has_custom_logo() )  ) : ?>
        <div class="header-middle clearfix">
            <div class="wrapper clearfix">
                <div class="on-shoping-box row">
                    <div class="col-md-9">
                        <?php if ( class_exists( 'WooCommerce' ) ) :
                            $verado_shopbox_elements = verado_lite_get_shopbox_elements();
                            if ( $verado_shopbox_elements ) {
                                foreach ( $verado_shopbox_elements as $element ) {
                                    $verado_lite_shopbox_element = esc_attr( get_theme_mod('shopbox_' . $element['id']) );
                                    if ( 1 == $verado_lite_shopbox_element ) {
                                        $e_icon = 'item fa ' . $element['icon'];
                                        ?>

                                        <div class="<?php echo esc_attr($e_icon); ?>">
                                            <p class="h6"><?php echo esc_html($element['title']); ?></p>
                                            <p><?php echo esc_html($element['description']); ?></p>
                                        </div>

                                    <?php }
                                }
                            }
                        ?>
                        <?php endif; ?>
                    </div>
                    <div class="col-md-3">
                        <?php if ( class_exists( 'WooCommerce' ) && 1 == $verado_lite_shopbox_cart ) :
                            global $woocommerce;
                        ?>
                            <div class="item shopping-cart fa fa-shopping-cart ">
                                <a href="<?php echo esc_url($woocommerce->cart->get_cart_url()); ?>" class="h6"><?php esc_html_e('Shopping Cart', 'verado-lite'); ?></a>
                                <p><span>
                                    <?php echo wp_kses($woocommerce->cart->cart_contents_count, array('span' => array('class' => array()))) . __(' item', 'verado-lite'); ?>
                                </span> - <span><?php echo wp_kses($woocommerce->cart->get_cart_total(), array('span' => array('class' => array()))); ?></span></p>
                            </div>
                            <!--.shopping-cart-->
                        <?php endif; ?>
                    </div>
                </div>
                <!--.on-shoping-box-->
            </div>
        </div>
        <!-- .header-middle -->
    <?php endif; ?>

</div>

<div class="header-bottom">
<div class="wrapper clearfix">
    <?php
    $verado_lite_header_search_box_status = esc_attr( get_theme_mod('header_search_box_status', 1) );
    if ( has_nav_menu('main-nav') || 1 == $verado_lite_header_search_box_status ) : ?>
        <div class="waypoint">
            <nav id="main-nav" class="clearfix">
                <?php
                    $verado_main_mn_desktop = array(
                        'theme_location' => 'main-nav',
                        'container' => false,
                        'link_before' => '<span>',
                        'link_after' => '</span>',
                        'items_wrap' => '<ul id="main-menu" class="%2$s">%3$s</ul>',
                        'fallback_cb' => ''
                    );
                    if ( class_exists('Verado_Walker_Main_Menu') ) {
                        $verado_main_mn_desktop['walker'] = new Verado_Walker_Main_Menu();
                    }
                    wp_nav_menu( $verado_main_mn_desktop );
                ?>

                <i class='fa fa-align-justify'></i>
                <div class="mobile-menu-wrapper">
                    <?php
                        $verado_main_mn_mobile = array(
                            'theme_location' => 'main-nav',
                            'container' => false,
                            'link_before' => '<span>',
                            'link_after' => '</span>',
                            'items_wrap' => '<ul id="mobile-menu" class="%2$s">%3$s</ul>',
                            'fallback_cb' => ''
                        );
                        wp_nav_menu( $verado_main_mn_mobile );
                    ?>
                    <!-- mobile-menu -->
                </div>
                <!-- mobile-menu-wrapper -->
            </nav>

            <?php
            if ( 1 == $verado_lite_header_search_box_status ) {
                get_search_form();
            }
            ?>
        </div>
        <!-- .waypoint -->
    <?php endif; ?>
</div>
</div>
<!-- .header-bottom -->

</header>
<!-- header -->

<?php
    if( is_page() && class_exists('Kopa_Page_Builder') ){
        global $post;
        $verado_current_layout = Kopa_Page_Builder::get_current_layout($post->ID);
        if ( 'front-page' == $verado_current_layout || 'shop-page' == $verado_current_layout ) {
            $verado_main_class = '';
        } else {
            $verado_main_class = 'pt-50';
        }
    } else {
        $verado_main_class = 'pt-50';
    }
    if ( ! empty($verado_main_class) ) :
        ?>
        <div id="kopa-top-page">
    <div class="top-page-above">
        <?php
            get_template_part('templates/parts/page-title');
            get_template_part('templates/parts/breadcrumb');
        ?>
    </div>
    <!-- top page above -->

    <div class="top-page-bottom clearfix">
        <div class="container">
            <div class="top-link">
                <?php
                do_action('verado_top_function_share_social'); // SHARE LINK TO SOCIALS
                ?>
            </div>
            <?php do_action('verado_top_function_backpage'); // BACK TO PREVIOUS PAGE ?>
        </div>
    </div>

</div>
        <!-- kopa top page -->
    <?php endif; ?>

<div id="main-content" class="<?php echo esc_attr($verado_main_class); ?>">