/**
 * http://kopatheme.com
 * Copyright (c) 2014 Kopatheme
 *
 * Licensed under the GPL license:
 *  http://www.gnu.org/licenses/gpl.html
 **/

/**
 *   1- Main menu
 *   2- Mobile menu
 *   4- Accordion
 *   5- Toggle
 *   7- Vertical Menu
 *   8- Waypoint
 *   9- Back to top
 *   10- Quick link
 *   11- Kopa tab 1 widget
 * 	 12- Video wrapper
 *   13- Owl carousel
 *   14- Others
 *-----------------------------------------------------------------
 **/

(function($) {
    "use strict";

    jQuery(document).ready(function() {

        if (jQuery('.kopa-pagination').children('.page-numbers').length > 0 ) {
            jQuery(this).find('.current').parent().addClass('current');
        }

        setTimeout(function(){
            jQuery('*').removeClass('loading');
        },400);


        /* =========================================================
         1. Main menu
         ============================================================ */
        Modernizr.load([
            {
                load: kopa_variable.url.template_directory_uri + 'js/superfish.js',
                complete: function () {

                    //Main menu
                    jQuery('#main-menu').superfish({
                        delay: 400,
                        speed: 'fast',
                        cssArrows: false
                    });

                }
            }
        ]);


        /* =========================================================
         2. Mobile menu
         ============================================================ */

        Modernizr.load([
            {
                load: kopa_variable.url.template_directory_uri + 'js/jquery.navgoco.js',
                complete: function () {

                    jQuery("#mobile-menu").navgoco({accordion: true});
                    jQuery("#main-nav").find("i").click(function(){
                        jQuery( "#mobile-menu" ).stop().slideToggle( "slow" );
                    });
                }
            }
        ]);

        var screenHeight = jQuery( window ).height();
        var mmHeight = screenHeight -45;

            jQuery( "#mobile-menu" ).css("max-height", mmHeight + "px");
            jQuery( "#mobile-menu" ).css("overflow", "auto");


        jQuery(window).resize(function(){
            var screenHeight = jQuery( window ).height();
            var mmHeight = screenHeight -45;

                jQuery( "#mobile-menu" ).css("max-height", mmHeight + "px");
                jQuery( "#mobile-menu" ).css("overflow", "auto");

        });

        /* =========================================================
         4. Accordion
         ============================================================ */

        Modernizr.load([ {
            load: kopa_variable.url.template_directory_uri + 'js/jquery-ui.js',
            complete: function () {
                jQuery(".kopa-accordion" ).accordion({
                    heightStyle: "content",
                    icons: false
                    //collapsible: true
                });
            }
        }]);


        jQuery('.kopa-accordion .panel-title').each(function(){
            var $this = jQuery(this);
            var $titleHeight = $this.outerHeight();
            $this.find('span i').css('line-height', $titleHeight+'px');
        });

        /* =========================================================
         5. Toggle
         ============================================================ */


        var $kopa_toggle = jQuery(".kopa-toggle");
        var $head_toggle = $kopa_toggle.find("h4");

//chua co active, dat mac dinh
        if($kopa_toggle.find(".active").length <= 0) {
            $head_toggle.eq(0).addClass('active');
        }

//an tat ca panel, tru panel active
        $head_toggle.not(".active").next().hide();

        $head_toggle.click(function(event) {
            var $panel = jQuery(this).next();
            $panel.slideToggle(300);
            jQuery(this).toggleClass('active');
        });

        jQuery('#footer-responsive-menu').change(function() {
            window.location = jQuery(this).val();
        });


        /* =========================================================
         7. Vertical Menu
         ============================================================ */

        jQuery('#sidebar .widget_product_categories .product-categories').addClass('widget-content sf-menu sf-vertical clearfix');
        jQuery('#sidebar .widget_categories').children('ul').addClass('widget-content sf-menu sf-vertical clearfix');

        if (jQuery('.sf-vertical').length > 0) {

            Modernizr.load([
                {
                    load: kopa_variable.url.template_directory_uri + 'js/superfish.js',
                    complete: function () {
                        var $sf_vertical = jQuery('.sf-vertical');
                        var device = 0; //0 desktop, 1 mobile
                        var point = 992;
                        $sf_vertical.find("ul").parent().addClass("li-parent");

                        if(jQuery(window).width() >= point) { //desktop
                            initSf();
                        } else { //mobile
                            sfMobile();
                            device = 1;
                        }

                        jQuery(window).resize(function() {
                            if(jQuery(window).width() >= point && !$sf_vertical.hasClass('sf-js-enabled') && device != 0) { //desktop
                                destroySfMobile();
                                initSf();
                                device = 0;
                            } else if(jQuery(window).width() < point && device != 1) { //mobile
                                $sf_vertical.superfish('destroy');
                                sfMobile();
                                device = 1;
                            }
                        });

                        function initSf() {
                            $sf_vertical.superfish({
                                delay: 400,
                                speed: 'fast',
                                cssArrows: false
                            });
                        }

                        function sfMobile() {
                            //them class theo sf
                            $sf_vertical.find("ul").prev().addClass("sf-with-ul");
                            $sf_vertical.children("li").click(function() {
                                if(jQuery(this).children("ul").length) {
                                    //dong, mo LI
                                    jQuery(this).children("ul").toggleClass('sfHover');
                                    jQuery(this).children("ul").stop().slideToggle("slow");
                                    //xoa class nhung LI khac
                                    jQuery(this).siblings().removeClass("sfHover").children("ul").slideUp("slow");
                                    return false;
                                }
                            });

                        }

                        function destroySfMobile() {
                            $sf_vertical.children("li").unbind();
                            $sf_vertical.find(".sf-with-ul").removeClass("sf-with-ul");
                            $sf_vertical.find(".sfHover").removeClass(".sfHover");
                        }
                    }
                }
            ]);
        }


        /* =========================================================
         8. Waypoint
         ============================================================ */
        if ( 1 == kopa_variable.enable_sticky_menu ) {
            Modernizr.load([
                {
                    load: [kopa_variable.url.template_directory_uri + 'js/waypoints.js', kopa_variable.url.template_directory_uri + 'js/waypoints-sticky.js'],
                    complete: function () {
                        jQuery(".waypoint").waypoint('sticky');
                    }
                }
            ]);
        }

        /* =========================================================
         9. Back to top
         ============================================================ */
        jQuery(".back-to-top").hide();
        jQuery(window).scroll(function () {
            if (jQuery(this).scrollTop() > 100) {
                jQuery('.back-to-top').fadeIn();
            } else {
                jQuery('.back-to-top').fadeOut();
            }
        });

        jQuery('.back-to-top').click(function (event) {
            jQuery('body,html').animate({
                scrollTop: 0
            }, 800);
            event.preventDefault();
        })


        /* =========================================================
         10. Quick link
         ============================================================ */



        jQuery(".quick-link").click(function(){
            jQuery(this).next().stop().slideToggle("slow");
        });

//find-car - kopa-home-2
        var $find_cars_wrap = jQuery(".kopa-home-2").find(".find-cars-wrap");

        $find_cars_wrap.find(".head-fc").click(function() {

            if($find_cars_wrap.hasClass("fc-active")) {
                $find_cars_wrap.find(".find-cars").slideUp(200, function() {
                    $find_cars_wrap.toggleClass("fc-active");
                })
            } else {
                $find_cars_wrap.find(".find-cars").slideDown(200, function() {
                    $find_cars_wrap.toggleClass("fc-active");
                })
            }
        });

//upload file
        jQuery(".upload").change(function () {
            jQuery(this).parent().find('.txt-file').attr("value", this.value);
        });

//slide-sell-your-car - device-width-sm
        var $sell_your_car_slide = jQuery(".sell-your-car-slide");
        var $content = $sell_your_car_slide.find(".content");

        $sell_your_car_slide.find(".h3").click(function() {
            if(jQuery(window).width() < 768) {
                if($content.hasClass("active")) {
                    $content.css("height", "40px").toggleClass("active");
                } else {
                    $content.css("height", "100%").toggleClass("active");
                }
            }
        });
//man hinh > device-sm thi reset
        jQuery(window).resize(function() {
            if(jQuery(window).width() >= 768) {
                //$content.css("height", "auto").removeClass("active");
                $content.attr("style", "").removeClass("active");
            }
        });


        /* =========================================================
         11. Kopa tab 1 (count li items to calculate li widht in percent)
         ============================================================ */
        if (jQuery('.kopa-tab-1 ul').length > 0) {
            jQuery('.kopa-tab-1 ul').each(function(){
                var $this = jQuery(this);
                var li_length = $this.find('li').length;    
                var li_width = (1/li_length*100)+'%';
                $this.find('li').css('width',li_width);
            });
        }

        /* =========================================================
         12. Video wrapper
         ============================================================ */
        if (jQuery(".video-wrapper").length > 0) {
            Modernizr.load([{
                load: kopa_variable.url.template_directory_uri + 'js/fitvids.js',
                complete: function() {
                    jQuery(".video-wrapper").fitVids();
                }
            }]);
        };

        /* =========================================================
         13. Owl Carousel
         ============================================================ */

        /* Home - Top Slide */
        if (jQuery('.widget.kopa-top-slide.kopa-top-slide-2').length > 0) {

            Modernizr.load([
                {
                    load: kopa_variable.url.template_directory_uri + 'js/owl.carousel.js',
                    complete: function () {

                        jQuery('.widget.kopa-top-slide.kopa-top-slide-2').each(function(){
                            var $this = jQuery(this);
                            var $slide = $this.find('.owl-carousel');

                            var slide_speed = $slide.data('speed');
                            var slide_auto = $slide.data('auto');

                            if ( 1 == slide_auto ) {
                                slide_auto = true;
                            } else {
                                slide_auto = false;
                            }

                            var $control_top_slide = $slide.next();
                            var $control_item = $control_top_slide.find('li');
                            var $find_cars = jQuery(".find-cars");
                            var $intro = $slide.find(".intro");
                            var setIndex = 0;

                            $control_item.each(function(index) {
                                if(jQuery(this).hasClass('active')) {
                                    setIndex = index;
                                }
                            });

                            $slide.owlCarousel({
                                items : 1,
                                itemsDesktop : [1210,1],
                                itemsDesktopSmall : [992,1],
                                itemsTablet : [768,1],
                                itemsMobile : [480,1],
                                autoHeight: false,
                                lazyLoad : true,
                                navigation : false,
                                pagination: false,
                                navigationText: false,
                                slideSpeed: slide_speed,
                                paginationSpeed: 600,
                                autoPlay: slide_auto,
                                afterAction: afterAction,
                                stopOnHover: true

                            });

                            var owl = $slide.data('owlCarousel');
                            owl.goTo(setIndex);


                            function afterAction() {
                                $control_item.removeClass("active");
                                $control_item.eq(this.owl.currentItem).addClass('active');

                                //position
                                var height_slide = $slide.outerHeight();
                                if($intro.length <= 0) { //slide home 1
                                    if(jQuery(window).width() > 1210) {
                                        height_slide -= 64;
                                    }
                                }

                                $control_top_slide.css("top",  (height_slide - $control_top_slide.outerHeight())/2);
                                $find_cars.css("top", (height_slide - $find_cars.outerHeight())/2);

                                //show
                                jQuery(".kopa-home-1").find(".find-cars").fadeIn(300);
                                jQuery(".control-top-slide").fadeIn(300);
                            }

                            $control_item.click(function() {
                                owl.goTo(jQuery(this).index());
                                return false;
                            });

                            if($slide.parents(".kopa-home-2").length) {
                                $control_top_slide.mouseenter(function() {
                                    //jQuery(".mask").css("opacity", 0);
                                    jQuery(".mask").toggleClass("opacity-0");
                                });
                                $control_top_slide.mouseleave(function() {
                                    //jQuery(".mask").css("opacity", 1);
                                    jQuery(".mask").toggleClass("opacity-0");
                                });
                            }
                        });
                    }
                }
            ]);
        }

        /* Home Shop - Top slide */
        if (jQuery('.owl-home-shop-top-slide').length > 0) {
            Modernizr.load([
                {
                    load: kopa_variable.url.template_directory_uri + 'js/owl.carousel.min.js',
                    complete: function () {
                        jQuery(".owl-home-shop-top-slide").owlCarousel({
                            items : 1,
                            itemsDesktop : [1024,1],
                            itemsDesktopSmall : [979,1],
                            itemsTablet: [768,1],
                            itemsMobile : [479,1],
                            lazyLoad : true,
                            navigation : false,
                            pagination: true,
                            navigationText : false,
                            slideSpeed: 1000,
                            paginationSpeed: 1000
                        });
                    }
                }
            ]);
        }

        /* News & Review slide */
        if (jQuery('.owl-single-item-2').length > 0) {
            Modernizr.load([
                {
                    load: kopa_variable.url.template_directory_uri + 'js/owl.carousel.min.js',
                    complete: function () {
                        jQuery(".owl-single-item-2").owlCarousel({
                            items : 1,
                            itemsDesktop : [1024,1],
                            itemsDesktopSmall : [979,1],
                            itemsTablet: [768,1],
                            itemsMobile : [479,1],
                            lazyLoad : true,
                            navigation : false,
                            pagination: true,
                            navigationText : false,
                            slideSpeed: 1000,
                            paginationSpeed: 1000
                        });
                    }
                }
            ]);
        }

        /* Home - Week offer widget */
        if (jQuery('.owl-week-offer').length > 0) {
            Modernizr.load([
                {
                    load: kopa_variable.url.template_directory_uri + 'js/owl.carousel.min.js',
                    complete: function () {

                        jQuery('.owl-week-offer').each(function(){
                            var $this = jQuery(this);
                            var speed = $this.data('speed');
                            var auto = $this.data('auto');
                            if ( '' == speed || typeof speed != 'undefined' ) {
                                speed = 1000;
                            }
                            if ( 1 == auto ){
                                auto = true;
                            } else {
                                auto = false;
                            }

                            $this.owlCarousel({
                                items : 1,
                                itemsDesktop : [1024,1],
                                itemsDesktopSmall : [979,1],
                                itemsTablet: [768,1],
                                itemsMobile : [479,1],
                                lazyLoad : true,
                                navigation : false,
                                pagination: true,
                                navigationText : false,
                                slideSpeed: speed,
                                paginationSpeed: 1000,
                                autoPlay:auto
                            });

                        });
                    }
                }
            ]);
        }

        if ( jQuery('.kopa-testimonials-widget').length > 0 ) {
            Modernizr.load([
                {
                    load: kopa_variable.url.template_directory_uri + 'js/owl.carousel.min.js',
                    complete: function () {
                        jQuery('.kopa-testimonials-widget').each(function() {
                            var $this = jQuery(this);
                            var owl = $this.find('.owl-testi-1');
                            var owl_item = owl.data('item');
                            var owl_speed = owl.data('speed');
                            var owl_auto = owl.data('auto');
                            if ( 1 == owl_auto ) {
                                owl_auto = true;
                            } else {
                                owl_auto = false;
                            }
                            owl.owlCarousel({
                                items : owl_item,
                                itemsDesktop : [1024,owl_item],
                                itemsDesktopSmall : [979,owl_item],
                                itemsTablet: [768,1],
                                itemsMobile : [479,1],
                                lazyLoad : true,
                                navigation : false,
                                pagination: true,
                                navigationText : false,
                                slideSpeed: owl_speed,
                                paginationSpeed: 1000,
                                autoPlay : owl_auto,
                                stopOnHover : true
                            });
                        });
                    }
                }
            ]);
        }
        /* =========================================================
         15. Match height
         ============================================================ */

        if ( jQuery('.kopa-article-list-widget .widget-content').length > 0 ) {
            Modernizr.load([{
                load: [kopa_variable.url.template_directory_uri + 'js/jquery-match-height.js'],
                complete: function () {
                    jQuery('.kopa-article-list-widget .widget-content').each(function(){
                        var $this = jQuery(this);
                        $this.find('.entry-item').matchHeight();
                    });
                }
            }]);
        };

        if ( jQuery('.page-numbers').length ) {
            jQuery('.page-numbers').each(function(){
                if ( jQuery(this).hasClass('current') ) {
                    jQuery(this).parent().addClass( 'current' );
                }
            });
        }


        //set Attribute user agent
        var doc = document.documentElement;
        doc.setAttribute('data-useragent', navigator.userAgent);
    });

})(jQuery);


