<?php

function verado_lite_print_timestamp()
{
    $timestamp = array(
        'type' => 'select',
        'std' => '',
        'label' => __('Timestamp (ago)', 'verado-lite'),
        'options' => array(
            '' => __('-- Select --', 'verado-lite'),
            '-1 week' => __('1 week', 'verado-lite'),
            '-2 week' => __('2 weeks', 'verado-lite'),
            '-3 week' => __('3 weeks', 'verado-lite'),
            '-1 month' => __('1 months', 'verado-lite'),
            '-2 month' => __('2 months', 'verado-lite'),
            '-3 month' => __('3 months', 'verado-lite'),
            '-4 month' => __('4 months', 'verado-lite'),
            '-5 month' => __('5 months', 'verado-lite'),
            '-6 month' => __('6 months', 'verado-lite'),
            '-7 month' => __('7 months', 'verado-lite'),
            '-8 month' => __('8 months', 'verado-lite'),
            '-9 month' => __('9 months', 'verado-lite'),
            '-10 month' => __('10 months', 'verado-lite'),
            '-11 month' => __('11 months', 'verado-lite'),
            '-1 year' => __('1 year', 'verado-lite'),
            '-2 year' => __('2 years', 'verado-lite'),
            '-3 year' => __('3 years', 'verado-lite'),
            '-4 year' => __('4 years', 'verado-lite'),
            '-5 year' => __('5 years', 'verado-lite'),
            '-6 year' => __('6 years', 'verado-lite'),
            '-7 year' => __('7 years', 'verado-lite'),
            '-8 year' => __('8 years', 'verado-lite'),
            '-9 year' => __('9 years', 'verado-lite'),
            '-10 year' => __('10 years', 'verado-lite'),
        )
    );
    return apply_filters('kopa-timestamp',$timestamp);
}

function verado_lite_post_widget_setting( $title_default = '', $limit_default = 55, $post_per_page = 5 ){
    $all_cats = get_categories();
    $categories = array( '' => __( '-- Select Categories --', 'verado-lite' ) );
    foreach ( $all_cats as $cat ) {
        $categories[ $cat->slug ] = $cat->name;
    }

    $all_tags = get_tags();
    $tags = array('' => __( '-- Select Tags --', 'verado-lite' ) );
    foreach( $all_tags as $tag ) {
        $tags[ $tag->slug ] = $tag->name;
    }
    $timestamp = verado_lite_print_timestamp();

    $settings  = array(
        'title'  => array(
            'type'  => 'text',
            'label' => __( 'Title', 'verado-lite' ),
            'std' => $title_default
        ),
        'description'  => array(
            'type'  => 'textarea',
            'label' => __( 'Description', 'verado-lite' ),
            'std' => '',
            'row' => 4
        ),
        'categories' => array(
            'type'    => 'multiselect',
            'std'     => array(),
            'label'   => __( 'Categories', 'verado-lite' ),
            'options' => $categories,
            'size'    => '5',
        ),
        'relation'    => array(
            'type'    => 'select',
            'label'   => __( 'Relation', 'verado-lite' ),
            'std'     => 'OR',
            'options' => array(
                'AND' => __( 'AND', 'verado-lite' ),
                'OR'  => __( 'OR', 'verado-lite' ),
            ),
        ),
        'tags' => array(
            'type'    => 'multiselect',
            'std'     => array(),
            'label'   => __( 'Tags', 'verado-lite' ),
            'options' => $tags,
            'size'    => '5',
        ),
        'orderby' => array(
            'type'  => 'select',
            'std'   => 'date',
            'label' => __( 'Orderby', 'verado-lite' ),
            'options' => array(
                'date'          => __( 'Date', 'verado-lite' ),
                'rand'          => __( 'Random', 'verado-lite' ),
                'comment_count' => __( 'Number of comments', 'verado-lite' ),
            ),
        ),
        'posts_per_page' => array(
            'type'    => 'number',
            'std'     => $post_per_page,
            'label'   => __( 'Number of posts', 'verado-lite' ),
            'min'     => '1',
        ),

        'timestamp' => $timestamp,
        'limit' => array(
            'type'    => 'number',
            'std'     => $limit_default,
            'label'   => __( 'Excerpt Length', 'verado-lite' ),
            'min'     => '1',
        )
    );

    return apply_filters('post_widget_setting' , $settings );
}

if ( ! function_exists('verado_lite_build_query')) {

    /**
     * @package Kopa
     * @author: kopatheme
     * @description: build query args
     */
    function verado_lite_build_query($instance, $args_extra = array()) {
        $query_args = array(
            'post_type' => 'post',
            'posts_per_page' => (int) $instance['posts_per_page'],
            'post_status' => array('publish'),
            'ignore_sticky_posts' => true
        );

        if( isset($instance['categories']) && count($instance['categories']) == 1 && $instance['categories'][0] == '' ){
            $instance['categories'] = array();
        }

        if( isset($instance['tags']) && count($instance['tags']) == 1 && $instance['tags'][0] == '' ){
            $instance['tags'] = array();
        }

        if ( isset($instance['categories']) && $instance['categories'] ) {
            $query_args['tax_query'][] = array(
                'taxonomy' => 'category',
                'field'    => 'slug',
                'terms'    => $instance['categories'],
            );
        }

        if ( isset($instance['tags']) && $instance['tags'] ) {
            $query_args['tax_query'][] = array(
                'taxonomy' => 'post_tag',
                'field'    => 'slug',
                'terms'    => $instance['tags'],
            );
        }

        if ( isset($instance['post_format']) && !empty($instance['post_format']) ) {
            $query_args['tax_query'][] = array(
                'taxonomy' => 'post_format',
                'field' => 'slug',
                'terms' => array( $instance['post_format'] )
            );
        }

        if ( isset( $query_args['tax_query'] ) && isset($instance['relation']) && count( $query_args['tax_query'] ) > 1 ) {
            $query_args['tax_query']['relation'] = $instance['relation'];
        }


        if (isset($instance['orderby'])) {
            switch ($instance['orderby']) {
                case 'comment_count':
                    $args['orderby'] = 'comment_count';
                    break;
                case 'rand':
                    $args['orderby'] = 'rand';
                    break;
                case 'ID':
                    $args['orderby'] = 'ID';
                    break;
                case 'title':
                    $args['orderby'] = 'title';
                    break;
                default:
                    $args['orderby'] = 'date';
                    break;
            }
        }else{
            $query_args['orderby'] = 'date';
        }
        if (isset($instance['order'])) {
            $query_args['order'] = $instance['order'];
        }

        if ( isset($instance['paged']) ){
            $query_args['paged'] = $instance['paged'];
        }

        if ( isset($instance['author']) ) {
            $query_args['author'] = $instance['author'];
        }


        global $wp_version;

        if (version_compare($wp_version, '3.7', '>=')) {
            if (isset($instance['timestamp']) && !empty($instance['timestamp'])) {
                $timestamp = $instance['timestamp'];
                $y = date('Y', strtotime($timestamp));
                $m = date('m', strtotime($timestamp));
                $d = date('d', strtotime($timestamp));

                $query_args['date_query'] = array(
                    array(
                        'after' => array(
                            'year' => (int) $y,
                            'month' => (int) $m,
                            'day' => (int) $d
                        )
                    )
                );
            }
        }

        if (!empty($args_extra)) {
            return array_merge($query_args, $args_extra);
        } else {
            return $query_args;
        }

    }

}

function verado_lite_get_widget_default($args){
    $default = array();

    if($args){
        foreach ($args  as $key => $value) {
            $default[$key] = $value['std'];
        }
    }

    return $default;
}