<?php

add_action('after_setup_theme', 'verado_lite_setup', 9);

function verado_lite_setup(){
    load_theme_textdomain( 'verado-lite', get_template_directory() . '/languages');
    add_theme_support( 'post-formats', array('gallery', 'audio', 'video', 'quote') );
    add_theme_support( 'post-thumbnails' );
    add_theme_support( 'loop-pagination' );
    add_theme_support( 'woocommerce' );
    add_theme_support( 'automatic-feed-links' );
    add_theme_support( 'title-tag');
    add_theme_support( 'custom-logo' );

    add_filter( 'wp_enqueue_scripts', 'verado_lite_enqueue_script' );

    register_nav_menus(array(
        'main-nav' => __('Main Menu', 'verado-lite'),
        'top-nav' => __('Top Menu', 'verado-lite'),
        'footer-nav' => __('Footer Menu', 'verado-lite'),
    ));

    add_filter('kopa_customization_init_options', 'verado_lite_init_options');

    add_filter('body_class', 'verado_lite_body_class');
    add_filter( 'excerpt_length', 'verado_lite_custom_excerpt_length', 55 );

    if ( ! isset( $content_width ) ){ $content_width = 770; }

    #EXTRA-FIELDS
    add_action('admin_enqueue_scripts', 'verado_lite_admin_enqueue_script');
    add_filter('kopa_admin_meta_box_wrap_start', 'verado_lite_meta_box_wrap_start', 10, 3);
    add_filter('kopa_admin_meta_box_wrap_end', 'verado_lite_meta_box_wrap_end', 10, 3);

    #AUTHOR
    add_action( 'pre_get_posts', 'verado_lite_custom_author' );

}

function verado_lite_admin_enqueue_script() {
    global $pagenow;
    $dir = get_template_directory_uri();
    if(in_array( $pagenow, array('post.php', 'post-new.php', 'edit.php'))){
        wp_enqueue_style( 'font-awesome', $dir . "/css/font-awesome.min.css" );
        wp_enqueue_script(KOPA_PREFIX . 'jsmetabox', $dir ."/extra/assets/js/metabox.js");
        wp_enqueue_style(KOPA_PREFIX . 'manage-colums', $dir ."/extra/assets/css/manage-colums.css");
        wp_enqueue_style(KOPA_PREFIX . 'metabox', $dir ."/extra/assets/css/metabox.css");
    }

}

function verado_lite_meta_box_wrap_start($wrap, $value, $loop_index){
    if(0 == $loop_index){
        $wrap = '<div class="dvt-metabox-wrap dvt-metabox-wrap-first dvt-row">';
    }else{
        $wrap = '<div class="dvt-metabox-wrap dvt-row">';
    }

    if ( $value['title'] ) {
        $wrap .= '<div class="dvt-col-3">';
        $wrap .= esc_html($value['title']);
        $wrap .= '</div>';
        $wrap .= '<div class="dvt-col-9">';
    }else{
        $wrap .= '<div class="dvt-col-12">';
    }

    return $wrap;
}

function verado_lite_meta_box_wrap_end($wrap, $value, $loop_index){
    $wrap = '';

    if ( $value['desc'] ) {
        $wrap .= '<p class="dvt-help">'. $value['desc'] . '</p>';
    }

    $wrap .= '</div>';
    $wrap .= '</div>';

    return $wrap;
}


function verado_lite_custom_author( $query ){
    if ( $query->is_main_query() && is_author() ) {
        $query->set( 'author', get_queried_object_id() );
    }
}