<?php
/**
 * Custom layouts
 */
add_filter( 'kopa_layout_manager_settings', 'verado_lite_extra_layout_manager_settings' );

function verado_lite_extra_layout_manager_settings( $options ) {

    $positions = array(
        'position_1' => __( 'Footer 1', 'verado-lite' ),
        'position_2' => __( 'Footer 2', 'verado-lite' ),
        'position_3' => __( 'Footer 3', 'verado-lite' ),
        'position_4' => __( 'Footer 4', 'verado-lite' ),
        'position_5' => __( 'Footer 5', 'verado-lite' ),
        'position_6' => __( 'Footer 6', 'verado-lite' ),
        'position_7' => __( 'Widget Area 1', 'verado-lite' ),
    );

    #FRONT PAGE LAYOUT
    $frontpage = array(
        'title'     => __( 'Front page', 'verado-lite' ),
        'preview'   => get_template_directory_uri() . '/images/layouts/footer.png',
        'positions' => array(
            'position_1',
            'position_2',
            'position_3',
            'position_4',
            'position_5',
            'position_6',
        )
    );

    $frontpage_default = array(
        'position_1' => 'footer_1',
        'position_2' => 'footer_2',
        'position_3' => 'footer_3',
        'position_4' => 'footer_4',
        'position_5' => 'footer_5',
        'position_6' => 'footer_6',
    );

    #BLOG LAYOUT
    $blog = array(
        'title'     => __( 'Blog', 'verado-lite' ),
        'preview'   => get_template_directory_uri() . '/images/layouts/blog.png',
        'positions' => array(
            'position_7',
            'position_1',
            'position_2',
            'position_3',
            'position_4',
            'position_5',
            'position_6',
        )
    );

    $blog_default = array(
        'position_7' => 'sidebar_blog',
        'position_1' => 'footer_1',
        'position_2' => 'footer_2',
        'position_3' => 'footer_3',
        'position_4' => 'footer_4',
        'position_5' => 'footer_5',
        'position_6' => 'footer_6',
    );

    //set layout for single post
    $single = array(
        'title'     => __( 'Single', 'verado-lite' ),
        'preview'   => get_template_directory_uri() . '/images/layouts/single.png',
        'positions' => array(
            'position_7',
            'position_1',
            'position_2',
            'position_3',
            'position_4',
            'position_5',
            'position_6',
        )
    );

    $single_default = array(
        'position_7' => 'sidebar_blog',
        'position_1' => 'footer_1',
        'position_2' => 'footer_2',
        'position_3' => 'footer_3',
        'position_4' => 'footer_4',
        'position_5' => 'footer_5',
        'position_6' => 'footer_6',
    );

    #PAGE LAYOUT
    $page = array(
        'title'     => __( 'Static page', 'verado-lite' ),
        'preview'   => get_template_directory_uri() . '/images/layouts/blog.png',
        'positions' => array(
            'position_7',
            'position_1',
            'position_2',
            'position_3',
            'position_4',
            'position_5',
            'position_6',
        )
    );

    $page_default = array(
        'position_7' => 'sidebar_blog',
        'position_1' => 'footer_1',
        'position_2' => 'footer_2',
        'position_3' => 'footer_3',
        'position_4' => 'footer_4',
        'position_5' => 'footer_5',
        'position_6' => 'footer_6',
    );

    // page layout
    $options['page-layout']['positions'] = $positions;
    $options['page-layout']['layouts'] = array(
        'page' => $page,
    );
    $options['page-layout']['default'] = array(
        'layout_id' => 'page',
        'sidebars'  => array(
            'page' => $page_default,
        )
    );

    // frontpage layout
    $options['frontpage-layout']['positions'] = $positions;
    $options['frontpage-layout']['layouts'] = array(
        'front-page'     => $frontpage,
    );
    $options['frontpage-layout']['default'] = array(
        'layout_id' => 'front-page',
        'sidebars'  => array(
            'front-page'     => $frontpage_default
        ),
    );

    // blog layout
    $options['blog-layout']['positions'] = $positions;
    $options['blog-layout']['layouts'] = array(
        'blog' => $blog,

    );
    $options['blog-layout']['default'] = array(
        'layout_id' => 'blog',
        'sidebars'  => array(
            'blog' => $blog_default,
        ),
    );

    // post layout
    $options['post-layout']['positions'] = $positions;
    $options['post-layout']['layouts'] = array(
        'single' => $single
    );
    $options['post-layout']['default'] = array(
        'layout_id' => 'single',
        'sidebars'  => array(
            'single' => $single_default
        ),
    );

    //search layout
    $options['search-layout']['positions'] = $positions;
    $options['search-layout']['layouts'] = array(
        'blog' => $blog,
    );
    $options['search-layout']['default'] = array(
        'layout_id' => 'blog',
        'sidebars'  => array(
            'blog' => $blog_default,
        ),
    );

    //404 layout
    $page_404 = array(
        'title'     => __( 'Error 404', 'verado-lite' ),
        'preview'   => get_template_directory_uri() . '/images/layouts/error_404.png',
        'positions' => array(
            'position_1',
            'position_2',
            'position_3',
            'position_4',
            'position_5',
            'position_6',
        )
    );

    $page_404_default = array(
        'position_7' => 'sidebar_blog',
        'position_1' => 'footer_1',
        'position_2' => 'footer_2',
        'position_3' => 'footer_3',
        'position_4' => 'footer_4',
        'position_5' => 'footer_5',
        'position_6' => 'footer_6',
    );
    $options['error404-layout']['positions'] = $positions;
    $options['error404-layout']['layouts'] = array(
        'page-404' => $page_404
    );
    $options['error404-layout']['default'] = array(
        'layout_id' => 'page-404',
        'sidebars'  => array(
            'page-404' => $page_404_default
        ),
    );

    if (  class_exists( 'WooCommerce' ) ) {
        #SHOP LIST LAYOUT
        $options[] = array(
            'title'   => __( 'Shop', 'verado-lite' ),
            'type' 	  => 'title',
            'id' 	  => 'shop-title',
        );

        $shop = array(
            'title'     => __( 'Shop', 'verado-lite' ),
            'preview'   => get_template_directory_uri() . '/images/layouts/shop.png',
            'positions' => array(
                'position_7',
                'position_1',
                'position_2',
                'position_3',
                'position_4',
                'position_5',
                'position_6',
            )
        );

        $shop_default = array(
            'position_7' => 'sidebar_blog',
            'position_1' => 'footer_1',
            'position_2' => 'footer_2',
            'position_3' => 'footer_3',
            'position_4' => 'footer_4',
            'position_5' => 'footer_5',
            'position_6' => 'footer_6',
        );

        $options[] = array(
            'title'     => __( 'Shop layout', 'verado-lite' ),
            'type'      => 'layout_manager',
            'id'        => 'shop-layout',
            'positions' => $positions,
            'layouts'   => array(
                'shop' => $shop
            ),
            'default' => array(
                'layout_id' => 'shop',
                'sidebars'  => array(
                    'shop' => $shop_default
                ),
            ),
        );

        #SHOP SINGLE LAYOUT
        $options[] = array(
            'title'   => __( 'Single Product', 'verado-lite' ),
            'type' 	  => 'title',
            'id' 	  => 'product-title',
        );

        $options[] = array(
            'title'     => __( 'Single Product', 'verado-lite' ),
            'type'      => 'layout_manager',
            'id'        => 'product-layout',
            'positions' => $positions,
            'layouts'   => array(
                'shop' => $shop
            ),
            'default' => array(
                'layout_id' => 'blog-shop-archive',
                'sidebars'  => array(
                    'shop' => $shop_default
                ),
            ),
        );
    }

    return $options;
}

/**
 * Add custom layout feature for custom post types and custom taxonomies
 */
add_filter( 'kopa_custom_layout_arguments', 'verado_lite_edit_custom_layout_feature' );

function verado_lite_edit_custom_layout_feature( $args ) {
    $args[] = array(
        'screen'   => 'product',
        'taxonomy' => false,
        'layout'   => 'product-layout',
    );

    $args[] = array(
        'screen'   => 'product_cat',
        'taxonomy' => true,
        'layout'   => 'shop-layout',
    );

    $args[] = array(
        'screen'   => 'product_tag',
        'taxonomy' => true,
        'layout'   => 'shop-layout',
    );

    return $args;
}

/**
 * Filter setting_id for layout manager
 * for product and product taxonomies
 */
add_filter( 'kopa_custom_template_setting_id', 'verado_lite_extra_template' );

function verado_lite_extra_template( $setting_id ) {
    if ( is_tax( 'post_format') ) {
        return 'video-layout';
    }

    if ( is_singular('product') ) {
        return 'product-layout';
    } elseif ( is_post_type_archive( 'product' ) ||
        is_tax( 'product_cat' ) ||
        is_tax( 'product_tag' ) ) {
        return 'shop-layout';
    } elseif ( class_exists('bbpress') && is_bbpress() ) {
        return 'forum-layout';
    } elseif ( is_singular('product') ) {
        return 'shop-layout';
    }

    return $setting_id;
}