<?php
/**
 * Extra for theme options settings
 */
add_filter( 'kopa_theme_options_settings', 'verado_lite_extra_theme_options_settings' );

function verado_lite_extra_theme_options_settings( $options ) {

    /* GENERAL */
    $options[] = array(
        'title'   => __( 'General', 'verado-lite' ),
        'type'    => 'title',
        'desc'    => '',
        'id'      => 'general',
        'icon'    => ''
    );

        $options[] = array(
            'type' 	  => 'checkbox',
            'id' 	  => 'breadcrumb_status',
            'default' => 1,
            'label'   => __('Show breadcrumb', 'verado-lite'),
        );

        $options[] = array(
            'type' 	  => 'checkbox',
            'id' 	  => 'sticky_menu_status',
            'default' => 1,
            'label'   => __('Enable sticky menu', 'verado-lite'),
        );

        if ( defined('VR_PREFIX') ) {

            $options[] = array(
                'type' 	  => 'checkbox',
                'id' 	  => 'custom_thumbnail_status',
                'default' => 1,
                'label'   => __('Enable custom featured image size', 'verado-lite'),
                'desc' 	  => __( 'Enable this option if you want upload origin image for post in some positions', 'verado-lite' ),
            );

            $options[] = array(
                'title' => __( 'Function boxes', 'verado-lite' ),
                'id'    => 'functionbox-group',
                'type'  => 'groupstart',
            );

            $socials = verado_lite_get_share_link_via_socials();
            if ( $socials ) {
                $index = 1;
                foreach( $socials as $v ) {
                    if ( 1 == $index ) { //start group
                        $options[] = array(
                            'title'   => __( 'Share link via socials', 'verado-lite' ),
                            'type' 	  => 'checkbox',
                            'checkboxgroup' => 'start',
                            'desc' 	  => __( 'Enable share link (current link of page or post) via', 'verado-lite' ),
                            'id' 	  => 'functionbox-share-'.$v['id'],
                            'default' => 1,
                            'label'   => $v['title'],
                            'class'   => 'kopa_extra_class'
                        );
                    } elseif ( count($socials) == $index ) { // end group
                        $options[] = array(
                            'type' 	  => 'checkbox',
                            'checkboxgroup' => 'end',
                            'id' 	  => 'functionbox-share-'.$v['id'],
                            'default' => 1,
                            'label'   => $v['title']
                        );
                    } else {
                        $options[] = array(
                            'type' 	  => 'checkbox',
                            'checkboxgroup' => '',
                            'id' 	  => 'functionbox-share-'.$v['id'],
                            'default' => 1,
                            'label'   => $v['title'],
                        );
                    }
                    $index++;
                }
            }

            $options[] = array(
                'type' 	  => 'checkbox',
                'id' 	  => 'functionbox_backpage',
                'default' => 1,
                'label'   => __('Enable function Back to previous page', 'verado-lite')
            );

            $options[] = array(
                'title'   => __( 'Contact reply template', 'verado-lite' ),
                'type' 	  => 'textarea',
                'id' 	  => 'contact-reply-template',
                'default' => '<p>Hello!</p><p>You have a new message from  [contact_name] ([contact_email])</p>
                            <p>Website: <a href="[contact_url]" target="_blank">[contact_url]</a></p>
                            <div>[contact_message]</div>
                            <p>Thanks!</p>',
            );


            $options[] = array(
                'id'    => 'functionbox-group',
                'type'  => 'groupend',
            );

        }


    /* HEADER */
    $options[] = array(
        'title'   => __( 'Header', 'verado-lite' ),
        'type'    => 'title',
        'desc'    => '',
        'id'      => 'header',
        'icon'    => ''
    );

            $options[] = array(
                'type' 	  => 'checkbox',
                'id' 	  => 'header_login',
                'default' => 1,
                'label'   => __('Show sign in / register ( Register button only show when function anyone can register in General Settings is enable)', 'verado-lite'),
            );

            $options[] = array(
                'type' 	  => 'checkbox',
                'id' 	  => 'header_top_menu_status',
                'default' => 1,
                'label'   => __( 'Show top menu', 'verado-lite' ),
            );

            if ( class_exists('WooCommerce') ) {
                $options[] = array(
                    'title' => __( 'Shop boxes', 'verado-lite' ),
                    'id'    => 'shopbox-group',
                    'type'  => 'groupstart',
                );

                $shopbox_elements = verado_lite_get_shopbox_elements();
                if ( $shopbox_elements ) {
                    foreach ( $shopbox_elements as $element ) {
                        $options[] = array(
                            'type' 	  => 'checkbox',
                            'id' 	  => 'shopbox_' . esc_attr($element['id']),
                            'default' => 1,
                            'label'   => __('Show ', 'verado-lite') . esc_attr($element['title'])
                        );
                    }
                }

                $options[] = array(
                    'type' 	  => 'checkbox',
                    'id' 	  => 'shopbox_cart',
                    'default' => 1,
                    'label'   => __('Show cart', 'verado-lite')
                );

                $options[] = array(
                    'id'    => 'shopbox-group',
                    'type'  => 'groupend',
                );
            }

    /** Logo padding **/
    $options[] = array(
        'title' => __( 'Logo padding', 'verado-lite' ),
        'id'    => 'logo-group',
        'type'  => 'groupstart',
    );

    $options[] = array(
        'title'   => __( 'Logo margin top (px)', 'verado-lite' ),
        'type'    => 'number',
        'desc'    => '',
        'id'      => 'logo-margin-top',
        'default' => '',
        'class'   => 'kopa_extra_class',
    );
    $options[] = array(
        'title'   => __( 'Logo margin left (px)', 'verado-lite' ),
        'type'    => 'number',
        'desc'    => '',
        'id'      => 'logo-margin-left',
        'default' => '',
        'class'   => 'kopa_extra_class',
    );

    $options[] = array(
        'id'    => 'base-group',
        'type'  => 'groupend',
    );

            $options[] = array(
                'type' 	  => 'checkbox',
                'id' 	  => 'header_search_box_status',
                'default' => 1,
                'label'   => 'Show search box',
            );
    /* FOOTER */
    $options[] = array(
        'title'   => __( 'Footer', 'verado-lite' ),
        'type'    => 'title',
        'desc'    => '',
        'id'      => 'footer',
        'icon'    => ''
    );
        $options[] = array(
            'title'   => '',
            'type'    => 'upload',
            'id'      => 'footer_bg_url',
            'desc'    => __( 'Upload your image for bottom sidebar (size default is 1366 x 458 px)', 'verado-lite' ),
            'class'   => "kopa_extra_class",
            'mimes'   => 'image',
        );

        $options[] = array(
            'type' 	  => 'checkbox',
            'id' 	  => 'footer_menu_status',
            'default' => 1,
            'label'   => __( 'Show footer menu', 'verado-lite' ),
        );

        $options[] = array(
            'title'   => __( 'Copyright', 'verado-lite' ),
            'type' 	  => 'textarea',
            'desc' 	  => __( 'Add a custom copyright text at the bottom of your site. (e.g: Copyright 2014 - Kopasoft. All Rights Reserved).', 'verado-lite' ),
            'id' 	  => 'copyright',
            'default' => __( 'Copyright 2014 - Kopasoft. All Rights Reserved.', 'verado-lite' ),
            'class'   => 'kopa_extra_class',
            'css'     => '',
        );

    // Blog setting
    $options[] = array(
        'title'   => __( 'Blog', 'verado-lite' ),
        'type'    => 'title',
        'desc'    => '',
        'id'      => 'blog',
        'icon'    => ''
    );
        $options[] = array(
            'title'   => __('Excerpt words limit for blog', 'verado-lite'),
            'type'    => 'number',
            'desc'    => '',
            'id'      => 'blog_excerpt',
            'default' => 55,
            'class'   => 'kopa_extra_class',
        );
        $options[] = array(
            'type' 	  => 'checkbox',
            'id' 	  => 'blog_thumbnail_status',
            'default' => 1,
            'label'   => __('Show thumbnail', 'verado-lite'),
        );
        $options[] = array(
            'type' 	  => 'checkbox',
            'id' 	  => 'blog_date_status',
            'default' => 1,
            'label'   => __('Show date', 'verado-lite'),
        );
        $options[] = array(
            'type' 	  => 'checkbox',
            'id' 	  => 'blog_category_status',
            'default' => 1,
            'label'   => __('Show category', 'verado-lite'),
        );
        $options[] = array(
            'type' 	  => 'checkbox',
            'id' 	  => 'blog_comment_status',
            'default' => 1,
            'label'   => __('Show comment', 'verado-lite'),
        );
        $options[] = array(
            'type' 	  => 'checkbox',
            'id' 	  => 'blog_excerpt_status',
            'default' => 1,
            'label'   => __('Show excerpt', 'verado-lite'),
        );


    // Post setting
    $options[] = array(
        'title'   => __( 'Post', 'verado-lite' ),
        'type'    => 'title',
        'desc'    => '',
        'id'      => 'post',
        'icon'    => ''
    );

        $options[] = array(
            'type' 	  => 'checkbox',
            'id' 	  => 'post_thumb_status',
            'default' => 1,
            'label'   => __( 'Show thumbnail', 'verado-lite' ),
        );
        $options[] = array(
            'type' 	  => 'checkbox',
            'id' 	  => 'post_date_status',
            'default' => 1,
            'label'   => __( 'Show date', 'verado-lite' ),
        );
        $options[] = array(
            'type' 	  => 'checkbox',
            'id' 	  => 'post_category_status',
            'default' => 1,
            'label'   => __( 'Show categories', 'verado-lite' ),
        );
        $options[] = array(
            'type' 	  => 'checkbox',
            'id' 	  => 'post_comment_status',
            'default' => 1,
            'label'   => __( 'Show comment', 'verado-lite' ),
        );
        $options[] = array(
            'type' 	  => 'checkbox',
            'id' 	  => 'post_tag_status',
            'default' => 1,
            'label'   => __( 'Show tags', 'verado-lite' ),
        );

        $options[] = array(
            'type' 	  => 'checkbox',
            'id' 	  => 'post_author_status',
            'default' => 1,
            'label'   => __( 'Show author', 'verado-lite' ),
        );


        $options[] = array(
            'type' 	  => 'checkbox',
            'id' 	  => 'post_navigation_status',
            'default' => 1,
            'label'   => __( 'Show next previous post', 'verado-lite' ),
        );

        // start group: related post
        $options[] = array(
            'title' => __( 'Related Posts', 'verado-lite' ),
            'id'    => 'related-post-group',
            'type'  => 'groupstart',
        );
        $options[] = array(
            'title'   => __( 'Get by', 'verado-lite' ),
            'type' 	  => 'select',
            'desc' 	  => '',
            'id' 	  => 'post_get_by',
            'default' => 'category',
            'options' => array(
                'hide' => __('-- Hiden --', 'verado-lite'),
                'post_tag' => __('Tag', 'verado-lite'),
                'category' => __('Category', 'verado-lite')
            ),
            'class'   => 'kopa_extra_class',
            'css'     => '',
        );
        $options[] = array(
            'title'   => 'Limit',
            'type'    => 'number',
            'id'      => 'post_relate_limit',
            'default' => 2,
            'class'   => 'kopa_extra_class',
        );
        // end group
        $options[] = array(
            'type' => 'groupend',
            'id'   => 'related-post-group',
        );

    // Socials setting
    if ( defined('VR_PREFIX') ) {
        $options[] = array(
            'title'   => __( 'Socials', 'verado-lite' ),
            'type'    => 'title',
            'desc'    => '',
            'id'      => 'custom_socials',
            'icon'    => ''
        );
        $socials_link = verado_lite_get_socials();
        foreach ( $socials_link as $k => $v ) {
            // start group
            $options[] = array(
                'title' =>  $v['title'],
                'id'    => $v['id'] . '-group',
                'type'  => 'groupstart',
            );
            if ( 'skype' === $v['id'] ) {
                $options[] = array(
                    'title' => 'Sky name',
                    'id'    => $v['id'] . '_url',
                    'type'  => 'text',
                );
            } else {
                $options[] = array(
                    'title' => 'URL',
                    'id'    => $v['id'] . '_url',
                    'type'  => 'url',
                );
            }

            //end group
            $options[] = array(
                'type' => 'groupend',
                'id'   => $v['id'] . '-group',
            );
        }
    }


    // Color setting
    $options[] = array(
        'title'   => __( 'Color', 'verado-lite' ),
        'type'    => 'title',
        'desc'    => '',
        'id'      => 'custom_color',
        'icon'    => ''
    );

        $options[] = array(
            'label'   => __('Enable custom color', 'verado-lite'),
            'id'      => 'is_enable_custom_color',
            'type'    => 'checkbox',
            'default' => 0,
            'folds'   => 1,
        );



        $options[] = array(
            'title'   => __('Main Color', 'verado-lite'),
            'type'    => 'color',
            'desc'    => __('custom color for main', 'verado-lite'),
            'id'      => 'color_hover',
            'default' => '#e5091c',
            'fold'    => 'is_enable_custom_color',
        );
        $options[] = array(
            'title'   => __('Body text Color', 'verado-lite'),
            'type'    => 'color',
            'desc'    => __('custom color for body text', 'verado-lite'),
            'id'      => 'color_body',
            'default' => '#646464',
            'fold'    => 'is_enable_custom_color',
        );
        // start group heading color

            $options[] = array(
                'title'   => __('Heading color', 'verado-lite'),
                'type'    => 'color',
                'id'      => 'color_heading',
                'default' => '#111',
                'fold'    => 'is_enable_custom_color',
            );

        $options[] = array(
            'title'   => __('Widget title color( default #ffffff )', 'verado-lite'),
            'type'    => 'color',
            'id'      => 'color_widget_title_main',
            'default' => '#ffffff',
            'fold'    => 'is_enable_custom_color',
        );

	#CUSTOM FONT

    $options[] = array(
        'title' => __( 'Custom Font', 'verado-lite' ),
        'type'  => 'title',
        'id'    => 'custom-font',
        'icon'  => ''
    );

    #UPLOAD YOUR FONTS
    $options[] = array(
        'title' =>  __('Upload your fonts', 'verado-lite'),
        'id'    => 'upload-your-font-group',
        'type'  => 'groupstart',
    );
    $options[] = array(
        'id'      => 'custom_fonts',
        'type'    => 'custom_font_manager',
        'default' => array(),
        'class'   => 'kopa_extra_class',
    );

    $all_custom_fonts = (array) get_theme_mod( 'custom_fonts' );
    $all_custom_fonts = verado_lite_sanitize_array( $all_custom_fonts );
    $custom_font_options = array();

    foreach ( $all_custom_fonts as $custom_font ) {
        $custom_font_name = '';
        if ( isset( $custom_font['name'] ) ) {
            $custom_font_name = $custom_font['name'];
        }

        if ( $custom_font_name ) {
            $custom_font_options[ $custom_font_name ] = $custom_font_name;
        }
    }

    // groups
    $standard_groups = array(
        'system_fonts' => __('System Fonts', 'verado-lite'),
        'google_fonts' => __('Google Fonts', 'verado-lite'),
    );

    $custom_groups = array();
    if ( $custom_font_options ) {
        $custom_groups = wp_parse_args( $standard_groups, array(
            'custom_fonts' => __('Custom Fonts', 'verado-lite'),
        ) );
    }

    // fonts
    $standard_fonts = array(
        "none" => "&mdash; Select a font &mdash;",//please, always use this key: "none"
        'system_fonts' => kopa_system_font_options(),
        'google_fonts' => kopa_google_font_options(),
    );

    $custom_fonts = array();
    if ( $custom_font_options ) {
        $custom_fonts = wp_parse_args( $standard_fonts, array(
            'custom_fonts' => $custom_font_options
        ) );

        unset( $custom_fonts['none'] );

        $custom_fonts =  wp_parse_args( $custom_fonts, array(
            'none' => "&mdash; Select a font &mdash;"
        ) );
    }

    // end facebook group
    $options[] = array(
        'type' => 'groupend',
        'id'    => 'upload-your-font-group',
    );

    $fonts = verado_lite_get_site_elements();

    foreach($fonts as $key => $font){
        $options[] = array(
            'title' => $font['title'],
            'id'    => "custom-font-{$key}",
            'type'  => 'groupstart'
        );
        $options[] = array(
            'label'   => __('Enable', 'verado-lite'),
            'id'      => "is_enable_custom_font_{$key}",
            'type'    => 'checkbox',
            'default' => 0,
            'folds'   => 1
        );


        $options[] = array(
            "id" 		=> "{$key}_font",
            "type" 		=> "select_font",
            "preview" 	=> __( "Grumpy wizards make toxic brew for the evil Queen and Jack.", 'verado-lite' ),
            'groups'    => ( $custom_groups ? $custom_groups : $standard_groups),
            "options" 	=> ( $custom_fonts ? $custom_fonts : $standard_fonts ),
            'default' => array(
                'family' => $font['default']['family'],
                'style'  => $font['default']['style'],
                'size'   => $font['default']['size'],
                'color'  => $font['default']['color'],
            ),
            'fold'    => "is_enable_custom_font_{$key}"
        );

        $options[] = array(
            'type' => 'groupend',
            'id'    => "custom-font-{$key}"
        );
    }

    /* Fonts Setting */
    $options[] = array(
        'title' => __('Custom Css', 'verado-lite'),
        'type'  => 'title',
        'id'    => 'custom_css_group',
        'icon'  => ''
    );

    $options[] = array(
        'title'   => __( 'Custom Css', 'verado-lite' ),
        'type' 	  => 'textarea',
        'desc' 	  => __( 'Custom css by you', 'verado-lite' ),
        'id' 	  => 'custom_css',
        'default' => '',
        'class'   => 'kopa_extra_class',
        'css'     => '',
    );

    if ( class_exists('WooCommerce') ) {
        $options[] = array(
            'title'   => __( 'Shop', 'verado-lite' ),
            'type'    => 'title',
            'desc'    => '',
            'id'      => 'shop',
            'icon'    => ''
        );
        $options[] = array(
            'type' 	  => 'text',
            'id' 	  => 'shop_page_title',
            'default' => '',
            'title'   => __( 'Page title', 'verado-lite' ),
        );

        $options[] = array(
            'type' 	  => 'text',
            'id' 	  => 'shop_page_description',
            'default' => '',
            'title'   => __( 'Page description', 'verado-lite' ),
        );
    }

	return $options;
}
