<?php
if ( ! function_exists('verado_lite_get_site_elements') ) {
    function verado_lite_get_site_elements() {
        return apply_filters( 'verado_lite_get_site_elements', array(
            'body' => array(
                'title' => __('Body', 'verado-lite'),
                'element' => 'html, body',
                'default' => array(
                    'family' => '"Raleway", sans-serif',
                    'style'  => '',
                    'size'   => '',
                    'color'  => ''
                )
            ),
            'main-menu' => array(
                'title' => __('Main menu', 'verado-lite'),
                'element' => '#main-menu > li > a > span, .main-menu > li ul li a > span, .main-menu > li ul.sub-menu li a > span,
                          #main-nav #main-menu .menu-item .sub-menu > li a, #mobile-menu li.current-menu-item > a > span, #mobile-menu li a span',
                'default' => array(
                    'family' => '"Raleway", sans-serif',
                    'style'  => '',
                    'size'   => '14px',
                    'color'  => ''
                )
            ),
            'top-menu' => array(
                'title' => __('Top menu', 'verado-lite'),
                'element' => '.page-nav li a',
                'default' => array(
                    'family' => '"Raleway", sans-serif',
                    'style'  => '',
                    'size'   => '',
                    'color'  => ''
                )
            ),
            'footer-menu' => array(
                'title' => __('Footer menu', 'verado-lite'),
                'element' => '#kopa-page-footer #footer-menu li a, #kopa-page-footer #footer-responsive-menu',
                'default' => array(
                    'family' => '"Raleway", sans-serif',
                    'style'  => '',
                    'size'   => '',
                    'color'  => ''
                )
            ),
            'widget-title-default' => array(
                'title' => __('Widget title', 'verado-lite'),
                'element' => '.title-s3 h3, #bottom-sidebar .widget-title, #bottom-sidebar .widget-title span, #sidebar .widget-title span, .title-s2 h3
                        ,#sidebar .widget-title',
                'default' => array(
                    'family' => '"Raleway", sans-serif',
                    'style'  => '',
                    'size'   => '',
                    'color'  => ''
                )
            ),
            'post-title' => array(
                'title' => __('Single post title', 'verado-lite'),
                'element' => '.entry-single h2.entry-title',
                'default' => array(
                    'family' => '"Raleway", sans-serif',
                    'style'  => '',
                    'size'   => '',
                    'color'  => ''
                )
            ),
            'post-content' => array(
                'title' => __('Single post content', 'verado-lite'),
                'element' => '#kopa-post-content, #kopa-page-content',
                'default' => array(
                    'family' => '"Raleway", sans-serif',
                    'style'  => '',
                    'size'   => '',
                    'color'  => ''
                )
            ),
            'h1' => array(
                'title' => __('H1', 'verado-lite'),
                'element' => '#kopa-post-content h1, #kopa-page-content h1',
                'default' => array(
                    'family' => '',
                    'style'  => '',
                    'size'   => '',
                    'color'  => ''
                )
            ),
            'h2' => array(
                'title' => __('H2', 'verado-lite'),
                'element' => '#kopa-post-content h2, #kopa-page-content h2',
                'default' => array(
                    'family' => '',
                    'style'  => '',
                    'size'   => '',
                    'color'  => ''
                )
            ),
            'h3' => array(
                'title' => __('H3', 'verado-lite'),
                'element' => '#kopa-post-content h3, #kopa-page-content h3',
                'default' => array(
                    'family' => '',
                    'style'  => '',
                    'size'   => '',
                    'color'  => ''
                )
            ),
            'h4' => array(
                'title' => __('H4', 'verado-lite'),
                'element' => '#kopa-post-content h4, #kopa-page-content h4',
                'default' => array(
                    'family' => '',
                    'style'  => '',
                    'size'   => '',
                    'color'  => ''
                )
            ),
            'h5' => array(
                'title' => __('H5', 'verado-lite'),
                'element' => '#kopa-post-content h5, #kopa-page-content h5',
                'default' => array(
                    'family' => '',
                    'style'  => '',
                    'size'   => '',
                    'color'  => ''
                )
            ),
            'h6' => array(
                'title' => __('H6', 'verado-lite'),
                'element' => '#kopa-post-content h6, #kopa-page-content h6',
                'default' => array(
                    'family' => '',
                    'style'  => '',
                    'size'   => '',
                    'color'  => ''
                )
            )
        ) );
    }
}


/* DEFAULT SOCIALS */
if ( ! function_exists('verado_lite_get_socials') ) {
    function verado_lite_get_socials() {
        $kopa_socials = array(
            array(
                'title' => __( 'Facebook', 'verado-lite' ),
                'id' => 'facebook',
            ),
            array(
                'title' => __( 'Twitter', 'verado-lite' ),
                'id' => 'twitter',
            ),
            array(
                'title' => __( 'Google plus', 'verado-lite' ),
                'id' => 'google-plus',
            ),
            array(
                'title' => __( 'Youtube', 'verado-lite' ),
                'id' => 'youtube',
            ),
            array(
                'title' => __( 'Skype', 'verado-lite' ),
                'id' => 'skype',
            )
        );

        return apply_filters('verado_custom_socials', $kopa_socials);
    }
}

if ( ! function_exists('verado_lite_get_share_link_via_socials') ) {
    function verado_lite_get_share_link_via_socials() {
        $kopa_socials = array(
            array(
                'title' => __( 'Facebook', 'verado-lite' ),
                'id' => 'facebook',
            ),
            array(
                'title' => __( 'Twitter', 'verado-lite' ),
                'id' => 'twitter',
            ),
            array(
                'title' => __( 'Google plus', 'verado-lite' ),
                'id' => 'google-plus',
            ),
            array(
                'title' => __( 'Pinterest', 'verado-lite' ),
                'id' => 'pinterest',
            )
        );

        return apply_filters('verado_custom_share_link_via_socials', $kopa_socials);
    }
}

/* DEFAULT THUMBNAIL */
if ( ! function_exists('verado_lite_get_thumbnails') ) {
    function verado_lite_get_thumbnails() {
        $kopa_thumbnails = array(
            array(
                'id' => KOPA_PREFIX . 'size_1',
                'title' => __('Custom featured image size 1', 'verado-lite'),
                'des' => __('use for widget: (Kopa) Slide (size 1366 x 500 px)', 'verado-lite'),
                'size' => '1366_500'
            )
        );

        return apply_filters('verado_postmeta_thumb_size', $kopa_thumbnails);
    }
}

if ( ! function_exists('verado_lite_set_image_info') ) {
    function verado_lite_set_image_info() {
        $image_thumbs = array(
            'widget-kopa-slide' => array(
                'width' => 1366,
                'height' => 500,
                'title' => __('Custom featured image for widget: (Kopa) Slide (1366 x 500 px)', 'verado-lite'),
                'enable_custom_feature_image' => true
            ),
            'widget-kopa-slide-thumb' => array(
                'width' => 114,
                'height' => 114,
                'title' => __('Custom featured image for widget: (Kopa) Slide small thumbnail (114 x 114 px)', 'verado-lite'),
                'enable_custom_feature_image' => false
            ),
            'blog-thumb' => array(
                'width' => 900,
                'height' => 379,
                'title' => __('Custom featured image for blog (900 x 379 px)', 'verado-lite'),
                'enable_custom_feature_image' => true
            ),
            'blog-thumb-fullwidth' => array(
                'width' => 1210,
                'height' => 511,
                'title' => __('Custom featured image for blog full-width (1210 x 511 px)', 'verado-lite'),
                'enable_custom_feature_image' => true
            ),
            'relate-thumb' => array(
                'width' => 404,
                'height' => 229,
                'title' => __('Custom featured image for relate (404 x 229 px)', 'verado-lite'),
                'enable_custom_feature_image' => true
            ),
            'relate-thumb-fullwidth' => array(
                'width' => 559,
                'height' => 317,
                'title' => __('Custom featured image for relate full-width (559 x 317 px)', 'verado-lite'),
                'enable_custom_feature_image' => true
            ),
            'post-thumb-megamenu' => array(
                'width' => 283,
                'height' => 120,
                'title' => __('Custom featured image for post thumbnail megamenu (283 x 120 px)', 'verado-lite'),
                'enable_custom_feature_image' => false
            ),
            'post-thumb-megamenu' => array(
                'width' => 283,
                'height' => 120,
                'title' => __('Custom featured image for post thumbnail megamenu (283 x 120 px)', 'verado-lite'),
                'enable_custom_feature_image' => false
            ),
            'post-list-thumb' => array(
                'width' => 382,
                'height' => 220,
                'title' => __('Custom featured image for widget (Kopa) List Posts (382 x 220 px)', 'verado-lite'),
                'enable_custom_feature_image' => false
            )
        );

        if ( class_exists('WooCommerce') ) {
            $image_thumbs['featured-product-thumb-small'] = array(
                'width' => 280,
                'height' => 219,
                'title' => __('Custom featured image for widget (Kopa) Featured Products (280 x 219 px)', 'verado-lite'),
                'enable_custom_feature_image' => false,
                'for_woo' => true
            );

            $image_thumbs['featured-product-thumb-normal'] = array(
                'width' => 383,
                'height' => 300,
                'title' => __('Custom featured image for widget (Kopa) Featured Products (383 x 300 px)', 'verado-lite'),
                'enable_custom_feature_image' => false
            );

            $image_thumbs['featured-product-thumb-medium'] = array(
                'width' => 590,
                'height' => 461,
                'title' => __('Custom featured image for widget (Kopa) Featured Products (590 x 461 px)', 'verado-lite'),
                'enable_custom_feature_image' => false
            );

            $image_thumbs['featured-product-thumb-big'] = array(
                'width' => 1210,
                'height' => 946,
                'title' => __('Custom featured image for widget (Kopa) Featured Products (1210 x 946 px)', 'verado-lite'),
                'enable_custom_feature_image' => false
            );

            $image_thumbs['product-carousel'] = array(
                'width' => 579,
                'height' => 316,
                'title' => __('Custom featured image for widget (Kopa) Products Carousel (579 x 316 px)', 'verado-lite'),
                'enable_custom_feature_image' => false
            );

            $image_thumbs['product-carousel-small'] = array(
                'width' => 113,
                'height' => 113,
                'title' => __('Custom featured image for widget (Kopa) Products Carousel (113 x 113 px)', 'verado-lite'),
                'enable_custom_feature_image' => false
            );

        }

        return apply_filters('verado_custom_set_image_info', $image_thumbs);
    }
}

if ( ! function_exists('verado_lite_get_image_info') ) {
    function verado_lite_get_image_info( $size, $info = '' ) {
        $image_thumbs = verado_lite_set_image_info();
        $select_image_info = array();
        if ( $image_thumbs ) {
            foreach ( $image_thumbs as $k => $v ) {
                if ( ! isset( $v['bfi_thumb'] ) ) {
                   $v['bfi_thumb'] = false;
                }
                if ( $size == $k ) {
                    if ( 'all' == $info ) { // get all info about image
                        $select_image_info = $v;
                    } else { // get info about image for bfithumb
                        $select_image_info = array( $v['width'], $v['height'], 'bfi_thumb' => $v['bfi_thumb'] );
                    }
                    break;
                }
            }
        }
        return apply_filters('verado_custom_get_image_info', $select_image_info);
    }
}


function verado_lite_enqueue_script() {
    global $wp_styles, $is_IE;

    $dir = get_template_directory_uri();

    // GOOGLE FONTS.
    if ( 'off' !== _x( 'on', 'Google font: on or off', 'verado-lite' ) ) {
        $font_url = add_query_arg( 'family', urlencode( 'Raleway:300,400,700' ), "//fonts.googleapis.com/css" );
        wp_enqueue_style( 'raleway-fonts', $font_url, array(), '1.0.0' );
    }

    wp_enqueue_style( 'font-awesome', $dir . "/css/font-awesome.min.css" );
    wp_enqueue_style( 'bootstrap', $dir . '/css/bootstrap.min.css', array(), NULL );
    wp_enqueue_style( 'superfish', $dir . '/css/superfish.css', array(), NULL );
    wp_enqueue_style( 'owl-carousel', $dir . '/css/owl.carousel.css', array(), NULL );
    wp_enqueue_style( 'owl-theme', $dir . '/css/owl.theme.css', array(), NULL );
    wp_enqueue_style( 'navgoco', $dir . '/css/jquery.navgoco.css', array(), NULL );
    wp_enqueue_style( 'verado-lite-style', get_stylesheet_uri(), array(), NULL );
    wp_enqueue_style( 'verado-lite-extra', $dir . '/css/extra.css', array(), NULL );
    if ( $is_IE ) {
        wp_register_style(KOPA_PREFIX . 'ie', $dir . '/css/ie.css', array(), NULL);
        wp_enqueue_style(KOPA_PREFIX . 'ie');
        $wp_styles->add_data(KOPA_PREFIX . 'ie', 'conditional', 'IE 9');
    }

    wp_enqueue_script( 'modernizr', $dir . '/js/modernizr.custom.js', array('jquery'), NULL, TRUE );
    wp_enqueue_script( 'bootstrap', $dir . '/js/bootstrap.js', array('jquery'), NULL, TRUE );
    wp_enqueue_script( 'verado-lite-custom', $dir . '/js/custom.js', array('jquery'), NULL, TRUE );

    $kopa_variable_arr = array(
        'url' => array(
            'template_directory_uri' => get_template_directory_uri() . '/',
            'ajax' => admin_url('admin-ajax.php')
        ),
        'template' => array(
            'post_id' => (is_singular()) ? get_queried_object_id() : 0
        ),
        'enable_sticky_menu' => esc_attr( get_theme_mod('sticky_menu_status', 1) )
    );
    wp_localize_script( 'verado-lite-custom', 'kopa_variable', $kopa_variable_arr );

    if (is_singular()) {
        wp_enqueue_script('comment-reply');
    }
}

function verado_lite_body_class($classes) {
    $kopa_setting = function_exists('kopa_get_template_setting') ? kopa_get_template_setting() : array( 'sidebars' => array() );
    $sidebar = $kopa_setting['sidebars'];
    $custom_logo_id = esc_attr( get_theme_mod( 'custom_logo' ) );

    if ( ! defined('VR_PREFIX') ) {
        $classes[] = 'verado_lite';
    }

    if ( is_category() || is_home() || is_tax() || is_search() || is_singular('post') || ( class_exists('WooCommerce') && is_woocommerce()) || ( is_page() && ! class_exists('Kopa_Page_Builder')  )  ) {
        if ( !isset($sidebar['position_7']) || !is_active_sidebar($sidebar['position_7']) ) {
            $classes[] = 'kopa-fullwidth-page';
        }
    }

    if ( ! $custom_logo_id ) {
        $classes[] = 'kopa-no-logo';
    }

    return $classes;
}

function verado_lite_get_the_post_thumbnai( $post_id=0, $size='', $alt='', $class='' ) {
    $image_src = '';
    $image_info_all = verado_lite_get_image_info($size, 'all');
    $image_param_bfi = array( $image_info_all['width'], $image_info_all['height'], 'bfi_thumb' => $image_info_all['bfi_thumb'] );
    $image_info_bfi = wp_get_attachment_image_src( get_post_thumbnail_id( $post_id ), $image_param_bfi );

    $key_name = $image_info_all['width'].'_'.$image_info_all['height'];
    $featured_image_user = get_post_meta( $post_id, $key_name, true );
    if ( ! empty($featured_image_user) ) {
        $image_src = $featured_image_user;
    } elseif ( $image_info_bfi && isset($image_info_bfi[0]) ) {
        $image_src = $image_info_bfi[0];
    }
    $img_html = '';
    if ( ! empty($image_src) ) {
        $img_html = '<img class="' . esc_attr($class) . '" src="' . $image_src . '" alt="' . $alt . '" />';
    }
    return $img_html;
}

function verado_lite_the_post_thumbnail( $post_id=0, $size='', $alt='', $class='' ) {
    $img_html = verado_lite_get_the_post_thumbnai($post_id, $size, $alt, $class);
    echo $img_html;
}

/*
 * Remove dimension of post thumbnail
 */
add_filter( 'post_thumbnail_html', 'verado_lite_remove_thumbnail_dimensions', 10, 3 );
function verado_lite_remove_thumbnail_dimensions( $html, $post_id, $post_image_id ) {
    $html = preg_replace( '/(width|height)=\"\d*\"\s/', "", $html );
    return $html;
}

add_filter( 'embed_oembed_html', 'verado_lite_remove_oembed_dimensions', 10, 3 );
function verado_lite_remove_oembed_dimensions( $html, $post_id, $post_image_id ) {
    $html = preg_replace( '/(scrolling|frameborder)=\"\d*\"\s/', "", $html );
    return $html;
}

function verado_lite_get_shopbox_elements() {
    $elements = array(
        array(
            'id' => 'free_ship',
            'icon' => 'fa-truck',
            'title' => __('Free Ship','verado-lite'),
            'description' => __('on order over $75.00','verado-lite')
        ),
        array(
            'id' => 'free_return',
            'icon' => 'fa-rotate-right',
            'title' => __('Free Return','verado-lite'),
            'description' => __('free 90 days return policy','verado-lite')
        ),
        array(
            'id' => 'member_discount',
            'icon' => 'fa-money',
            'title' => __('Member discount','verado-lite'),
            'description' => __('free register','verado-lite')
        ),
    );
    return apply_filters('verado_custom_boxshop', $elements);
}

function verado_lite_custom_excerpt_length( $length ) {

    if ( is_category() || is_archive() || is_home() || is_single() ) {
        $verado_lite_blog_excerpt = esc_attr( get_theme_mod('blog_excerpt', '1'));
        if ( 1 == $verado_lite_blog_excerpt ) {
            $length = $verado_lite_blog_excerpt;
        }
    }
    return $length;
}

add_filter('wp_video_shortcode', 'verado_lite_remove_attributes');
function verado_lite_remove_attributes($html) {
    if (!empty($html)) {
        $out = preg_replace('/(<[^>]+) style=".*?"/i', '$1', $html);
        $out = preg_replace('/(width|height)="\d*"\s/', "", $out);
    }

    return $out;
}

if ( ! function_exists('verado_lite_adjust_color_lighten_darken') ) {
    function verado_lite_adjust_color_lighten_darken($color_code, $percentage_adjuster = 0) {
        $percentage_adjuster = round($percentage_adjuster / 100, 2);
        if (is_array($color_code)) {
            $r = $color_code["r"] - (round($color_code["r"]) * $percentage_adjuster);
            $g = $color_code["g"] - (round($color_code["g"]) * $percentage_adjuster);
            $b = $color_code["b"] - (round($color_code["b"]) * $percentage_adjuster);

            return array("r" => round(max(0, min(255, $r))),
                "g" => round(max(0, min(255, $g))),
                "b" => round(max(0, min(255, $b))));
        } else if (preg_match("/#/", $color_code)) {
            $hex = str_replace("#", "", $color_code);
            $r = (strlen($hex) == 3) ? hexdec(substr($hex, 0, 1) . substr($hex, 0, 1)) : hexdec(substr($hex, 0, 2));
            $g = (strlen($hex) == 3) ? hexdec(substr($hex, 1, 1) . substr($hex, 1, 1)) : hexdec(substr($hex, 2, 2));
            $b = (strlen($hex) == 3) ? hexdec(substr($hex, 2, 1) . substr($hex, 2, 1)) : hexdec(substr($hex, 4, 2));
            $r = round($r - ($r * $percentage_adjuster));
            $g = round($g - ($g * $percentage_adjuster));
            $b = round($b - ($b * $percentage_adjuster));

            return "#" . str_pad(dechex(max(0, min(255, $r))), 2, "0", STR_PAD_LEFT)
                . str_pad(dechex(max(0, min(255, $g))), 2, "0", STR_PAD_LEFT)
                . str_pad(dechex(max(0, min(255, $b))), 2, "0", STR_PAD_LEFT);
        }
    }
}

function verado_lite_sanitize_array( $input ) {
    $new_input = array();
    foreach ( $input as $key => $val ) {
        $new_input[ $key ] = ( isset( $input[ $key ] ) ) ? sanitize_text_field( $val ) : '';
    }
    return $new_input;
}