<?php
if ( !class_exists('Kopa_Widget') ) {
    add_action( 'widgets_init', 'verado_lite_register_sidebars' );
    return;
}

// register sidebars if framework is not activated
function verado_lite_register_sidebars() {
	$common_args = array(
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<h3 class="widget-title"><span>',
		'after_title' => '</span></h3>',
	);

	$options['sidebar_blog'] = array(
        'name' => __( 'Right sidebar', 'verado-lite' ),
        'description' => __( 'Right sidebar', 'verado-lite' ),
    );
    $options['footer_1'] = array(
        'name' => __( 'Footer 1', 'verado-lite' ),
        'description' => __( 'Footer 1 sidebar', 'verado-lite' ),
    );
    $options['footer_2'] = array(
        'name' => __( 'Footer 2', 'verado-lite' ),
        'description' => __( 'Footer 2 sidebar', 'verado-lite' ),
    );
    $options['footer_3'] = array(
        'name' => __( 'Footer 3', 'verado-lite' ),
        'description' => __( 'Footer 3 sidebar', 'verado-lite' ),
    );
    $options['footer_4'] = array(
        'name' => __( 'Footer 4', 'verado-lite' ),
        'description' => __( 'Footer 4 sidebar', 'verado-lite' ),
    );
    $options['footer_5'] = array(
        'name' => __( 'Footer 5', 'verado-lite' ),
        'description' => __( 'Footer 5 sidebar', 'verado-lite' ),
    );
    $options['footer_6'] = array(
        'name' => __( 'Footer 6', 'verado-lite' ),
        'description' => __( 'Footer 6 sidebar', 'verado-lite' ),
    );

    foreach ( $options as $id => $option ) {
		register_sidebar( array(
			'id'            => $id,
			'name'          => $option['name'],
			'description'   => $option['description'],
			'before_widget' => $common_args['before_widget'],
			'after_widget'  => $common_args['after_widget'],
			'before_title'  => $common_args['before_title'],
			'after_title'   => $common_args['after_title'],
		) );
    }
}

#INCLUDES
include( get_template_directory(). '/widgets/class-kopa-list-post-carousel.php' );
include( get_template_directory(). '/widgets/class-kopa-list-post-simple-carousel.php' );
include( get_template_directory(). '/widgets/class-kopa-post-list.php' );
include( get_template_directory(). '/widgets/class-kopa-widget-contact.php' );

add_action( 'widgets_init', 'verado_lite_register_widgets' );

function verado_lite_register_widgets() {
    register_widget('Kopa_Widget_List_Post_Carousel');
    register_widget('Kopa_Widget_List_Post_Simple_Carousel');
    register_widget('Kopa_Widget_Article_List');
    register_widget('Kopa_Widget_Contact');
}