<?php
    get_header();
    $verado_setting = function_exists('kopa_get_template_setting') ? kopa_get_template_setting() : array( 'sidebars' => array() );
    $verado_sidebar = $verado_setting['sidebars'];
?>

<div class="container">
<div class="row">
<div id="main-col" class="col-md-9">

    <?php if ( have_posts() ) : ?>
    <div class="widget kopa-news-review-widget entry-box">
        <ul class="clearfix">
            <?php while ( have_posts() ) :
                the_post();
                $li_class = '';
                if ( is_sticky() ) {
                    $li_class = 'sticky-post';
                }
            ?>
            <li <?php post_class($li_class); ?> id="post-<?php the_ID(); ?>">
                <article class="entry-item">

                    <?php
                        $verado_lite_blog_thumbnail_status = esc_attr( get_theme_mod('blog_thumbnail_status', 1) );
                        if ( 1 == $verado_lite_blog_thumbnail_status ) {
                            get_template_part('templates/parts/blog-featured');
                        }
                    ?>

                    <div class="entry-content">
                        <div class="meta-box clearfix">
                            <?php if ( 'quote' != get_post_format() && 1 == esc_attr( get_theme_mod('blog_date_status', 1) ) ) : ?>
                                <span class="entry-date">
                                    <span class="entry-day"><?php echo get_the_date('d'); ?></span>
                                    <span class="entry-month"><?php echo get_the_date('M'); ?></span>
                                </span>
                            <?php endif; ?>

                            <div class="meta-box-right">
                                <?php if ( 'quote' != get_post_format() ) : ?>
                                    <h2 class="entry-title">
                                        <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a>
                                    </h2>
                                <?php endif; ?>
                                <footer>
                                    <?php if ( 1 == esc_attr( get_theme_mod('blog_category_status', 1) ) ) : ?>
                                        <span><?php esc_html_e('Posted in:', 'verado-lite'); ?></span>
                                        <?php the_category(', '); ?>
                                    <?php endif; ?>

                                    <?php if ( comments_open() && !post_password_required() && 1 == esc_attr( get_theme_mod('blog_comment_status', 1) ) ) : ?>
                                        <span class="comments">
                                            <span><?php esc_html_e('With:', 'verado-lite'); ?></span>
                                            <?php comments_popup_link( __('No comment', 'verado-lite') , __('1 comment', 'verado-lite') , '%' . __(' comments', 'verado-lite')); ?>
                                        </span>
                                    <?php endif; ?>

                                </footer>
                            </div>
                        </div>
                        <?php if ( 1 == esc_attr( get_theme_mod('blog_excerpt_status', 1) ) ) : ?>
                            <div class="entry-excerpt">
                                <?php the_excerpt(); ?></div>
                        <?php endif; ?>
                        <a href="<?php the_permalink(); ?>" class="read-more" title="<?php the_title(); ?>"><?php esc_html_e('Read more', 'verado-lite'); ?><span><i class="fa fa-long-arrow-right"></i></span></a>
                    </div>
                </article>
            </li>
            <?php endwhile; ?>
        </ul>

        <?php get_template_part('templates/parts/pagination'); ?>


    </div>
    <!-- kopa news review widget -->
    <?php else: ?>
        <div class="widget kopa-news-review-widget entry-box">
            <ul class="clearfix">
                <li><?php esc_html_e('No results were found.', 'verado-lite'); ?></li>
            </ul>
        </div>
    <?php endif; ?>
</div>
<!-- main column -->

<?php
    if ( isset($verado_sidebar['position_7']) && is_active_sidebar($verado_sidebar['position_7']) ) {
        echo '<div id="sidebar" class="col-md-3">';
            dynamic_sidebar($verado_sidebar['position_7']);
        echo '</div>';
    }
?>

</div>

</div>

<?php get_footer();