<?php
    if ( 1 != esc_attr( get_theme_mod('breadcrumb_status', 1) ) ) {
        return;
    }

    if ( is_main_query() ) {
        global $post, $wp_query;
        $prefix = '<span> &rsaquo; </span>';
        $current_class = 'current-page';
        $breadcrumb_before = '<div class="kopa-breadcrumb clearfix">';
        $breadcrumb_after = '<span class="bottom-line"></span></div>';
        $breadcrumb_home = '<span itemtype="http://data-vocabulary.org/Breadcrumb" itemscope=""><a itemprop="url" href="' . esc_url(home_url('/')) . '"><span>' . __('Home', 'verado-lite') . '</span></a></span>';
        $verado_breadcrumb = '';
        ?>

    <?php
        if ( is_home() || is_front_page() ) {
            $page_title = esc_attr__( 'Blog', 'verado-lite' );
            $verado_breadcrumb .= $breadcrumb_home . $prefix . sprintf('<span class="%1$s" itemprop="title">%2$s</span>', $current_class, $page_title);
        } else if (is_post_type_archive('product') && get_option('woocommerce_shop_page_id')) {
            $verado_breadcrumb.= $breadcrumb_home;
            $verado_breadcrumb.= $prefix . sprintf('<span itemscope itemtype="http://data-vocabulary.org/Breadcrumb" class="%1$s">%2$s</span>', $current_class, esc_html(get_the_title(get_option('woocommerce_shop_page_id'))));
        } else if ( is_tag() ) {
            $verado_breadcrumb.= $breadcrumb_home;

            $term = get_term( get_queried_object_id(), 'post_tag');
            $verado_breadcrumb.= $prefix . sprintf('<span class="%1$s">%2$s</span>', $current_class, esc_html($term->name));
        } else if (is_category()) {
            $verado_breadcrumb.= $breadcrumb_home;

            $category_id = get_queried_object_id();
            $terms_link = explode(',', substr(get_category_parents(get_queried_object_id(), TRUE, ','), 0, (strlen(',') * -1)));
            $n = count($terms_link);
            if ($n > 1) {
                for ($i = 0; $i < ($n - 1); $i++) {
                    $verado_breadcrumb.= $prefix . $terms_link[$i];
                }
            }
            $verado_breadcrumb.= $prefix . sprintf('<span class="%1$s">%2$s</span>', $current_class, esc_html(get_the_category_by_ID(get_queried_object_id())));

        } else if ( is_tax('product_cat') ) {
            $verado_breadcrumb.= $breadcrumb_home;
            $verado_breadcrumb.= $prefix . '<span itemtype="http://data-vocabulary.org/Breadcrumb" itemscope=""><a href="'.esc_url(get_page_link( get_option('woocommerce_shop_page_id')) ).'">'.esc_html(get_the_title( get_option('woocommerce_shop_page_id')) ).'</a></span>';
            $term = get_term_by( 'slug', get_query_var( 'term' ), get_query_var( 'taxonomy' ) );

            $parents = array();
            $parent = $term->parent;
            while ($parent):
                $parents[] = $parent;
                $new_parent = get_term_by( 'id', $parent, get_query_var( 'taxonomy' ));
                $parent = $new_parent->parent;
            endwhile;
            if( ! empty( $parents ) ):
                $parents = array_reverse($parents);
                foreach ($parents as $parent):
                    $item = get_term_by( 'id', $parent, get_query_var( 'taxonomy' ));
                    $breadcrumb .= $prefix . '<span itemtype="http://data-vocabulary.org/Breadcrumb" itemscope=""><a href="' . esc_url(get_term_link( $item->slug, 'product_cat' )) . '">' . esc_html($item->name) . '</a></span>';
                endforeach;
            endif;

            $queried_object = get_queried_object();
            $verado_breadcrumb.= $prefix . sprintf('<span class="%1$s">%2$s</span>', $current_class, esc_html($queried_object->name));
        } else if ( is_tax( 'product_tag' ) ) {
            $verado_breadcrumb.= $breadcrumb_home;
            $verado_breadcrumb.= $prefix . '<span itemtype="http://data-vocabulary.org/Breadcrumb" itemscope=""><a href="'.esc_url(get_page_link( get_option('woocommerce_shop_page_id')) ).'">'.esc_html(get_the_title( get_option('woocommerce_shop_page_id')) ).'</a></span>';
            $queried_object = get_queried_object();
            $verado_breadcrumb.= $prefix . sprintf('<span class="%1$s">%2$s</span>', $current_class, esc_html($queried_object->name));
        } else if ( is_tax( 'post_format', 'post-format-video' ) ) {
            $verado_breadcrumb.= $breadcrumb_home;
            $verado_breadcrumb.= $prefix . '<span itemtype="http://data-vocabulary.org/Breadcrumb" itemscope=""><a href="'.esc_url(get_page_link( get_option('woocommerce_shop_page_id')) ).'">'.esc_html(get_the_title( get_option('woocommerce_shop_page_id')) ).'</a></span>';
            $queried_object = get_queried_object();
            $verado_breadcrumb.= $prefix . sprintf('<span class="%1$s">%2$s</span>', $current_class, esc_html($queried_object->name));
        }
        else if (is_single()) {
            $verado_breadcrumb.= $breadcrumb_home;

            if ( get_post_type() === 'product' ) :
                $shop_page_id = get_option('woocommerce_shop_page_id');
                if ( !empty($shop_page_id) ) {
                    $breadcrumb .= $prefix . '<span itemtype="http://data-vocabulary.org/Breadcrumb" itemscope=""><a href="'.esc_url(get_page_link( get_option('woocommerce_shop_page_id')) ).'">'.esc_html(get_the_title( $shop_page_id )).'</a></span>';
                }

                if ($terms = get_the_terms( $post->ID, 'product_cat' )) :
                    $term = apply_filters( 'jigoshop_product_cat_breadcrumb_terms', current($terms), $terms);
                    $parents = array();
                    $parent = $term->parent;
                    while ($parent):
                        $parents[] = $parent;
                        $new_parent = get_term_by( 'id', $parent, 'product_cat');
                        $parent = $new_parent->parent;
                    endwhile;
                    if(!empty($parents)):
                        $parents = array_reverse($parents);
                        foreach ($parents as $parent):
                            $item = get_term_by( 'id', $parent, 'product_cat');
                            $breadcrumb .= $prefix . '<span itemtype="http://data-vocabulary.org/Breadcrumb" itemscope=""><a href="' . esc_url(get_term_link( $item->slug, 'product_cat' )) . '">' . esc_html($item->name) . '</a></span>';
                        endforeach;
                    endif;
                    $breadcrumb .= $prefix . '<span itemtype="http://data-vocabulary.org/Breadcrumb" itemscope=""><a href="' . esc_url(get_term_link( $term->slug, 'product_cat' )) . '">' . esc_html($term->name) . '</a></span>';
                endif;

                $verado_breadcrumb.= $prefix . sprintf('<span class="%1$s">%2$s</span>', $current_class, get_the_title());

            else :

                $categories = get_the_category(get_queried_object_id());
                if ($categories) {
                    foreach ($categories as $category) {
                        $verado_breadcrumb.= $prefix . sprintf('<span itemtype="http://data-vocabulary.org/Breadcrumb" itemscope=""><a href="%1$s"><span>%2$s</span></a></span>', esc_url(get_category_link($category->term_id)), esc_html($category->name));
                    }
                }

                $post_id = get_queried_object_id();
                $verado_breadcrumb.= $prefix . sprintf('<span class="%1$s">%2$s</span>', $current_class, get_the_title($post_id));

            endif;

        } else if (is_page()) {
            if (!is_front_page()) {
                $post_id = get_queried_object_id();
                $verado_breadcrumb.= $breadcrumb_home;
                $post_ancestors = get_post_ancestors($post);
                if ($post_ancestors) {
                    $post_ancestors = array_reverse($post_ancestors);
                    foreach ($post_ancestors as $crumb)
                        $verado_breadcrumb.= $prefix . sprintf('<a href="%1$s">%2$s</a>', esc_url(get_permalink($crumb)), esc_html(get_the_title($crumb)));
                }
                $verado_breadcrumb.= $prefix . sprintf('<span class="%1$s">%2$s</span>', $current_class, esc_html(get_the_title(get_queried_object_id())));
            }
        } else if (is_year() || is_month() || is_day()) {
            $verado_breadcrumb.= $breadcrumb_home;

            $date = array('y' => NULL, 'm' => NULL, 'd' => NULL);

            $date['y'] = get_the_time('Y');
            $date['m'] = get_the_time('m');
            $date['d'] = get_the_time('j');

            if (is_year()) {
                $verado_breadcrumb.= $prefix . sprintf('<span class="%1$s">%2$s</span>', $current_class, $date['y']);
            }

            if (is_month()) {
                $verado_breadcrumb.= $prefix . sprintf('<a href="%1$s">%2$s</a>', get_year_link($date['y']), $date['y']);
                $verado_breadcrumb.= $prefix . sprintf('<span class="%1$s">%2$s</span>', $current_class, date_i18n('F', $date['m']));
            }

            if (is_day()) {
                $verado_breadcrumb.= $prefix . sprintf('<a href="%1$s">%2$s</a>', get_year_link($date['y']), $date['y']);
                $verado_breadcrumb.= $prefix . sprintf('<a href="%1$s">%2$s</a>', get_month_link($date['y'], $date['m']), date_i18n('F', $date['m']));
                $verado_breadcrumb.= $prefix . sprintf('<span class="%1$s">%2$s</span>', $current_class, $date['d']);
            }

        } else if (is_search()) {
            $verado_breadcrumb.= $breadcrumb_home;

            $s = get_search_query();
            $c = $wp_query->found_posts;
            //$count = $wp_query->post_count.'';

            $description = sprintf(__('<span class="%1$s">Your search for "%2$s" return %3$s results', 'verado-lite'), $current_class, $s, $c);
            $verado_breadcrumb .= $prefix . $description;
        } else if (is_author()) {
            $verado_breadcrumb.= $breadcrumb_home;
            $author_id = get_queried_object_id();
            $verado_breadcrumb.= $prefix . sprintf('<span class="%1$s">%2$s</a>', $current_class, sprintf(__('Posts created by %1$s', 'verado-lite'), esc_html(get_the_author_meta('display_name', $author_id))));
        } else if (is_404()) {
            $verado_breadcrumb.= $breadcrumb_home;
            $verado_breadcrumb.= $prefix . sprintf('<span class="%1$s">%2$s</span>', $current_class, __('Error 404', 'verado-lite'));
        }

        if ($verado_breadcrumb)
            echo apply_filters('kopa_breadcrumb', $breadcrumb_before . $verado_breadcrumb . $breadcrumb_after);
    }
