<?php
$verado_page_title = array(
    'title' => get_bloginfo('title'),
    'desc' => get_bloginfo('description'),
);
if (is_archive()) {
    if (is_tag() || is_category() || is_tax()) {
        $term = get_queried_object();

        $verado_page_title = array(
            'title' => $term->name,
            'desc' => $term->description ? wp_trim_words($term->description, 15, '') : ''
        );
    } else if (is_year() || is_month() || is_day()) {

    } else if (is_author()) {
        $author_id = get_queried_object_id();

        $verado_page_title = array(
            'title' => get_the_author_meta('display_name', $author_id),
            'desc' => get_the_author_meta('description', $author_id),
        );
    } elseif ( is_post_type_archive('product') ) {
        $verado_page_title = array(
            'title' => esc_attr( get_theme_mod('shop_page_title', '') ),
            'desc' => esc_attr( get_theme_mod('shop_page_description', '') ),
        );
    }
} else if (is_search()) {
    global $wp_query;
    $s = get_search_query();
    $c = $wp_query->found_posts;
    $verado_page_title = array(
        'title' => __('Search', 'verado-lite'),
        'desc' => sprintf(__('Searched for "%s" return %s results', 'verado-lite'), $s, $c)
    );
} else if (is_singular()) {
    global $post;
    $title = get_the_title($post);
    $desc = wp_trim_words( strip_tags( strip_shortcodes( get_post_field('post_content', $post->ID) ) ), apply_filters('verado_set_page_title_desc_max_words', 15), '');

    $custom_title = get_post_meta($post->ID, KOPA_PREFIX . 'page-title', true);
    $custom_desc = get_post_meta($post->ID, KOPA_PREFIX . 'page-description', true);

    if ($custom_title) {
        $title = $custom_title;
    }
    if ($custom_desc) {
        $desc = $custom_desc;
    }

    $verado_page_title = array(
        'title' => $title,
        'desc' =>  $desc
    );
} else if (is_404()) {
    $verado_page_title = array(
        'title' => __('Page not found...', 'verado-lite'),
        'desc' => __("We're sorry, but we can't find the page you were looking for", 'verado-lite')
    );
}

$verado_page_title = apply_filters('verado_get_page_title', $verado_page_title);
ob_start();
if (!empty($verado_page_title)):
    ?>
    <div class="page-title">
        <?php if (isset($verado_page_title['title']) && !empty($verado_page_title['title'])): ?>
            <h2><?php echo wp_kses_post($verado_page_title['title']); ?></h2>
        <?php endif; ?>

        <?php if (isset($verado_page_title['desc']) && !empty($verado_page_title['desc'])): ?>
            <p><?php echo esc_textarea($verado_page_title['desc']); ?></p>
        <?php endif; ?>

    </div>
<?php
endif;

$html = ob_get_clean();
echo apply_filters('verado_get_page_title_html', $html, $verado_page_title);


