<?php
if (is_single()) {
    $get_by = esc_attr( get_theme_mod('post_get_by', 'category') );
    if ('hide' != $get_by) {
        $limit = (int) esc_attr( get_theme_mod('post_relate_limit', 2) );

        if ($limit > 0) {
            global $post;
            $taxs = array();
            if ('category' == $get_by) {
                $cats = get_the_category(($post->ID));

                if ($cats) {
                    $ids = array();
                    foreach ($cats as $cat) {
                        $ids[] = $cat->term_id;
                    }

                    $tax_arr = array(
                        'field' => 'id',
                        'terms' => $ids
                    );

                    $tax_arr['taxonomy'] = 'category';

                    $taxs [] = $tax_arr;
                }
            } else {
                $tags = get_the_tags($post->ID);
                if ($tags) {
                    $ids = array();
                    foreach ($tags as $tag) {
                        $ids[] = $tag->term_id;
                    }
                    $taxs [] = array(
                        'taxonomy' => 'post_tag',
                        'field' => 'id',
                        'terms' => $ids
                    );
                }
            }
            if ($taxs) {
                $related_args = array(
                    'tax_query' => $taxs,
                    'post__not_in' => array($post->ID),
                    'posts_per_page' => $limit
                );
                $related_posts = new WP_Query($related_args);
                if ($related_posts->have_posts()) {
                ?>

                <div id="related-posts" class="entry-box">
                    <h3><?php esc_html_e('related posts', 'verado-lite'); ?></h3>
                    <div class="row">
                        <?php while( $related_posts->have_posts() ) :
                            $related_posts->the_post();
                            $post_id = get_the_ID();
                            $post_title = get_the_title();
                            if ( empty($post_title) ) {
                                $post_title = __('No title', 'verado-lite');
                            }
                        ?>
                        <div class="col-md-6">
                            <article class="entry-item">
                                <?php if ( has_post_thumbnail() ) : ?>
                                    <div class="entry-thumb">
                                        <?php
                                        $kopa_setting = function_exists('kopa_get_template_setting') ? kopa_get_template_setting() : array( 'sidebars' => array() );
                                        $sidebar = $kopa_setting['sidebars'];
                                        if ( !isset($sidebar['position_7']) || !is_active_sidebar($sidebar['position_7']) ) {
                                            $size = 'relate-thumb-fullwidth';
                                        } else {
                                            $size = 'relate-thumb';
                                        }
                                        ?>
                                        <a href="<?php the_permalink(); ?>" title="<?php echo esc_attr($post_title); ?>"><?php verado_lite_the_post_thumbnail($post_id, $size, $post_title); ?></a>
                                    </div>
                                <?php endif; ?>
                                <div class="entry-content">
                                    <div class="meta-box clearfix">
                                            <span class="entry-date pull-left">
                                                <span class="entry-day"><?php echo get_the_date('d'); ?></span>
                                                <span class="entry-month"><?php echo get_the_date('M'); ?></span>
                                            </span>
                                        <div class="meta-box-right">
                                            <h6 class="entry-title">
                                                <a href="<?php the_permalink(); ?>" title="<?php echo esc_attr($post_title); ?>"><?php echo esc_html($post_title); ?></a>
                                            </h6>
                                            <footer>
                                                <?php get_template_part('templates/parts/category'); ?>

                                                <?php if ( comments_open() && !post_password_required() ) : ?>
                                                        <span class="comments">
                                                        <span><?php esc_html_e('With:', 'verado-lite'); ?></span>
                                                        <?php comments_popup_link( __('0 ', 'verado-lite') . '<i class="fa fa-comments-o"></i>' , __('1 ', 'verado-lite') . '<i class="fa fa-comments-o"></i>' , '%<i class="fa fa-comments-o"></i>' ); ?>
                                                    </span>
                                                <?php endif; ?>

                                            </footer>
                                        </div>
                                    </div>
                                    <p class="entry-excerpt"><?php echo esc_html(get_the_excerpt()); ?></p>
                                    <a href="<?php the_permalink(); ?>" title="<?php echo esc_attr($post_title); ?>" class="read-more"><?php esc_html_e('Read more', 'verado-lite'); ?><span><i class="fa fa-long-arrow-right"></i></span></a>
                                </div>
                            </article>
                        </div>
                        <?php endwhile; ?>

                    </div>
                </div>
                <?php
                }
                wp_reset_postdata();
            }
        }
    }
}
