<?php
    get_header();
    $verado_setting = function_exists('kopa_get_template_setting') ? kopa_get_template_setting() : array( 'sidebars' => array() );
    $verado_sidebar = $verado_setting['sidebars'];
?>
<div class="container">
<div class="row">
<div id="main-col" class="col-md-9">
<?php
    if ( have_posts() ):
        while ( have_posts() ):
            the_post();
            $verado_post_title = get_the_title();
            if ( empty($verado_post_title) ){
                $verado_post_title = __('No title', 'verado-lite');
            }
?>
<div class="entry-box entry-single">

    <?php
        if ( 1 == esc_attr( get_theme_mod('post_thumb_status', 1) ) ) {
            get_template_part('templates/parts/blog-featured');
        }
    ?>

    <div class="entry-content">

        <div class="meta-box clearfix">
            <?php if ( 1 == esc_attr( get_theme_mod('post_date_status', 1) ) ) : ?>
                <span class="entry-date">
                    <span class="entry-day"><?php echo esc_html( get_the_date('d') ); ?></span>
                    <span class="entry-month"><?php echo esc_html( get_the_date('M') ) ; ?></span>
                </span>
            <?php endif; ?>
            <div class="meta-box-right">
                <?php if ( ! empty($verado_post_title) ) : ?>
                    <h2 class="entry-title"><?php echo wp_kses_post($verado_post_title);?></h2>
                <?php endif; ?>
                <footer>
                    <?php if ( 1 == esc_attr( get_theme_mod('post_category_status', 1) ) ) {
                        get_template_part('templates/parts/category');
                    }?>

                    <?php if ( comments_open() && !post_password_required() && 1 == esc_attr( get_theme_mod('post_comment_status', 1) ) ) : ?>
                        <span class="comments">
                            <span><?php esc_html_e('With:', 'verado-lite'); ?></span>
                            <?php comments_popup_link( __('No comment', 'verado-lite') , __('1 comment', 'verado-lite') , '%' . __(' comments', 'verado-lite')); ?>
                        </span>
                    <?php endif; ?>
                </footer>
            </div>
        </div>
        <div id="kopa-post-content">
            <?php the_content(); ?>
        </div>

    </div>

    <div class="clear"></div>

    <?php
        wp_link_pages(array(
            'before' => '<div class="page-links-wrapper"><span class="page-links"><span>' . __('pages:', 'verado-lite') . '</span>',
            'after' => '</span></div>',
            'link_before' => '<span>',
            'link_after'  => '</span>',
        ));

        if ( 1 == esc_attr( get_theme_mod('post_tag_status', 1) ) ) {
            the_tags('<div class="tag-box">','&nbsp;','</div>');
        }
    ?>

</div>
<!-- entry content -->

<?php if ( 1 == esc_attr( get_theme_mod('post_author_status', 1) ) ) : ?>
    <div class="author-box" itemscope itemtype="http://data-vocabulary.org/Person">
        <div class="main-box">
            <?php
                $verado_post_author_name = get_the_author_meta('display_name');
                $verado_post_author_link = get_author_posts_url( get_the_author_meta( 'ID' ) );

            ?>
            <a class="author-avatar pull-left" href="<?php echo esc_url($verado_post_author_link); ?>"><?php echo get_avatar( get_the_author_meta( 'ID' ), 90 );?></a>
            <div class="item-right">
                <h4 class="author-name" itemprop="name"><a href="<?php echo esc_url($verado_post_author_link); ?>"><?php echo esc_html($verado_post_author_name);?></a></h4>
                &nbsp;-&nbsp;
                <?php
                    $verado_author_job = get_the_author_meta('job');
                    if ( ! empty($verado_author_job) ) :
                ?>
                    <p class="author-job"><?php echo esc_html($verado_author_job); ?></p>
                <?php
                    endif;
                    $verado_author_des = get_the_author_meta('description');
                    if ( ! empty($verado_author_des) ) :
                ?>
                    <p class="author-intro"><?php echo esc_html($verado_author_des); ?></p>
                <?php endif; ?>
            </div>
        </div>
        <?php
            $verado_author_facebook = get_the_author_meta('facebook');
            $verado_author_twitter = get_the_author_meta('twitter');
            $verado_author_gplus = get_the_author_meta('gplus');
            $verado_author_flickr = get_the_author_meta('flickr');
            if ( (! empty($verado_author_facebook) ||
                 ! empty($verado_author_twitter) ||
                 ! empty($verado_author_gplus) ||
                 ! empty($verado_author_flickr) ) && defined('VR_PREFIX')
            ) :
            $verado_author_socials = array(
                'facebook' => $verado_author_facebook,
                'twitter' => $verado_author_twitter,
                'google-plus' => $verado_author_gplus,
                'flickr' => $verado_author_flickr
            );
        ?>
            <footer>
                <span><?php esc_html_e('Follow me:', 'verado-lite');?></span>
                <?php
                    foreach ( $verado_author_socials as $k => $v ) {
                        if ( ! empty($v) ) {
                            $v_class = 'fa fa-'.$k;
                            echo '<a href="' . esc_url($v) . '" class="' . esc_attr($v_class) . '" rel="nofollow" target="_blank" title="' . __('Via ', 'verado-lite') . esc_attr(ucfirst($k)) . '"></a>';
                        }
                    }
                ?>
            </footer>
        <?php endif; ?>
    </div>
<?php endif; ?>

<?php
    if ( 1 == esc_attr( get_theme_mod('post_navigation_status', 1) ) && ( get_next_post() || get_previous_post() ) ) :
        $verado_prev_post = get_previous_post();
        $verado_next_post = get_next_post();
?>
    <div class="prev-next-post clearfix">
        <?php if (!empty( $verado_prev_post )): ?>
            <div class="prev-post">
                <p><a href="<?php echo esc_url(get_permalink( $verado_prev_post->ID )); ?>" title="<?php echo esc_attr($verado_prev_post->post_title); ?>"><?php esc_html_e('Previous Article', 'verado-lite');?></a></p>
                <h3><a href="<?php echo esc_url(get_permalink( $verado_prev_post->ID )); ?>" title="<?php echo esc_attr($verado_prev_post->post_title); ?>"><?php echo esc_html($verado_prev_post->post_title); ?></a></h3>
            </div>
        <?php endif;
            if (!empty( $verado_next_post )):
        ?>
            <div class="next-post">
                <p><a href="<?php echo esc_url(get_permalink( $verado_next_post->ID )); ?>" title="<?php echo esc_attr($verado_next_post->post_title); ?>"><?php esc_html_e('Next Article', 'verado-lite');?></a></p>
                <h3><a href="<?php echo esc_url(get_permalink( $verado_next_post->ID )); ?>" title="<?php echo esc_attr($verado_next_post->post_title); ?>"><?php echo esc_html($verado_next_post->post_title); ?></a></h3>
            </div>
        <?php endif; ?>
    </div>
    <!-- prev & next post -->
<?php endif; ?>

<?php comments_template(); ?>

<?php get_template_part('templates/parts/related'); ?>

<?php comment_form(kopa_comment_form_args()); ?>

<?php
        endwhile;
    endif;
?>

</div>
<!-- main column -->

<?php
if ( isset($verado_sidebar['position_7']) && is_active_sidebar($verado_sidebar['position_7']) ) {
    echo '<div id="sidebar" class="col-md-3">';
    dynamic_sidebar($verado_sidebar['position_7']);
    echo '</div>';
}
?>

</div>
<!-- row -->
</div>
<!-- container -->
<?php get_footer();