<?php

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Kopa_Widget_List_Post_Simple_Carousel extends Kopa_Widget
{
    public $kpb_group = 'Sliders';

	function __construct()
	{
		$this->widget_cssclass    = 'kopa-top-slide kopa-top-slide-3 loading';
		$this->widget_description = __( 'Show list posts with carousel effect for shop page', 'verado-lite' );
		$this->widget_id          = 'kopa-simple-top-slidewidget';
		$this->widget_name        = __( '(Kopa) Simple Slide', 'verado-lite' );

		$setting = verado_lite_post_widget_setting('', 15);

        if ( isset($setting['title']) ){
            unset($setting['title']);
        }
        if ( isset($setting['description']) ){
            unset($setting['description']);
        }

        $setting_more = array(
            'slider_speed' => array(
                'type'    => 'number',
                'std'     => '500',
                'label'   => __( 'Slide Speed', 'verado-lite' ),
                'min'     => '1',
            ),
            'is_autoplay' => array(
                'type' => 'checkbox',
                'label' => __( 'Auto play slider', 'verado-lite' ),
                'std' => 0,
            )
        );
		$this->settings = array_merge($setting, $setting_more);
		parent::__construct();
	}

	function widget($args, $instance){
		ob_start();
		extract($args);

        $instance = wp_parse_args((array) $instance, verado_lite_get_widget_default($this->settings));
        $slider_auto_play = $instance['is_autoplay'];
        $slider_speed = intval($instance['slider_speed']);
        $limit = intval($instance['limit']);

		$new_query = verado_lite_build_query($instance);
		$posts = new WP_Query($new_query);

        echo $before_widget;
       ?>
            <?php if ( $posts->have_posts() ) { ?>

                <div class="owl-carousel owl-home-shop-top-slide has-mask" data-speed="<?php echo esc_attr($slider_speed); ?>" data-auto="<?php echo esc_attr($slider_auto_play); ?>">

                    <?php while ( $posts->have_posts() ):
                    $posts->the_post();
                    $post_id = get_the_ID();
                    $post_title = get_the_title();
                    if ( empty($post_title) ) {
                        $post_title = __('No Title', 'verado-lite');
                    }
                    ?>

                    <div class="item">
                        <a href="<?php the_permalink(); ?>" title="<?php echo esc_attr($post_title); ?>">
                            <?php verado_lite_the_post_thumbnail($post_id, 'widget-kopa-slide', $post_title, 'lazyOwl'); ?>
                            <div class="mask"></div>
                        </a>
                        <div class="intro top-slide-intro">
                            <h6 class="title"><a href="<?php the_permalink(); ?>" title="<?php echo esc_attr($post_title); ?>"><?php echo esc_html($post_title); ?></a></h6>
                            <?php the_excerpt(); ?>
                            <div class="view-more">
                                <span class="bg-1"></span>
                                <span class="bg-2"></span>
                                <span class="bg-3"></span>
                                <div class="view-more">
                                    <span class="bg-1"></span>
                                    <span class="bg-2"></span>
                                    <span class="bg-3"></span>
                                    <a href="<?php the_permalink(); ?>" title="<?php echo esc_attr($post_title); ?>" class="link"><?php esc_html_e('read more', 'verado-lite'); ?></a>
                                </div>
                            </div>
                        </div>
                    </div>

                    <?php endwhile; wp_reset_postdata(); ?>

                </div>

            <?php } ?>

        <?php
        echo $after_widget;
		$content = ob_get_clean();
        echo $content;
	}
}

